import{S as ga,i as _a,s as ba,e as n,k as h,w as k,t as r,M as va,c as s,d as t,m as u,a,x as T,h as i,b as c,G as o,g as f,y,q as w,o as $,B,v as ka,L as Ct}from"../../chunks/vendor-hf-doc-builder.js";import{T as vs}from"../../chunks/Tip-hf-doc-builder.js";import{D as X}from"../../chunks/Docstring-hf-doc-builder.js";import{C as zt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ve}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Gt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ta(G){let l,b;return l=new zt({props:{code:`from transformers import BioGptModel, BioGptConfig

# Initializing a BioGPT microsoft/biogpt style configuration
configuration = BioGptConfig()

# Initializing a model from the microsoft/biogpt style configuration
model = BioGptModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> BioGptModel, BioGptConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a BioGPT microsoft/biogpt style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = BioGptConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the microsoft/biogpt style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){k(l.$$.fragment)},l(m){T(l.$$.fragment,m)},m(m,g){y(l,m,g),b=!0},p:Ct,i(m){b||(w(l.$$.fragment,m),b=!0)},o(m){$(l.$$.fragment,m),b=!1},d(m){B(l,m)}}}function ya(G){let l,b,m,g,v;return{c(){l=n("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){l=s(d,"P",{});var _=a(l);b=i(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(_,"CODE",{});var C=a(m);g=i(C,"Module"),C.forEach(t),v=i(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(t)},m(d,_){f(d,l,_),o(l,b),o(l,m),o(m,g),o(l,v)},d(d){d&&t(l)}}}function wa(G){let l,b,m,g,v;return g=new zt({props:{code:`from transformers import AutoTokenizer, BioGptModel
import torch

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptModel.from_pretrained("microsoft/biogpt")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptModel.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=n("p"),b=r("Example:"),m=h(),k(g.$$.fragment)},l(d){l=s(d,"P",{});var _=a(l);b=i(_,"Example:"),_.forEach(t),m=u(d),T(g.$$.fragment,d)},m(d,_){f(d,l,_),o(l,b),f(d,m,_),y(g,d,_),v=!0},p:Ct,i(d){v||(w(g.$$.fragment,d),v=!0)},o(d){$(g.$$.fragment,d),v=!1},d(d){d&&t(l),d&&t(m),B(g,d)}}}function $a(G){let l,b,m,g,v;return{c(){l=n("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){l=s(d,"P",{});var _=a(l);b=i(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(_,"CODE",{});var C=a(m);g=i(C,"Module"),C.forEach(t),v=i(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(t)},m(d,_){f(d,l,_),o(l,b),o(l,m),o(m,g),o(l,v)},d(d){d&&t(l)}}}function Ba(G){let l,b,m,g,v;return g=new zt({props:{code:`import torch
from transformers import AutoTokenizer, BioGptForCausalLM

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptForCausalLM.from_pretrained("microsoft/biogpt")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs, labels=inputs["input_ids"])
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForCausalLM.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=n("p"),b=r("Example:"),m=h(),k(g.$$.fragment)},l(d){l=s(d,"P",{});var _=a(l);b=i(_,"Example:"),_.forEach(t),m=u(d),T(g.$$.fragment,d)},m(d,_){f(d,l,_),o(l,b),f(d,m,_),y(g,d,_),v=!0},p:Ct,i(d){v||(w(g.$$.fragment,d),v=!0)},o(d){$(g.$$.fragment,d),v=!1},d(d){d&&t(l),d&&t(m),B(g,d)}}}function Ga(G){let l,b,m,g,v;return{c(){l=n("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){l=s(d,"P",{});var _=a(l);b=i(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(_,"CODE",{});var C=a(m);g=i(C,"Module"),C.forEach(t),v=i(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(t)},m(d,_){f(d,l,_),o(l,b),o(l,m),o(m,g),o(l,v)},d(d){d&&t(l)}}}function Ca(G){let l,b,m,g,v;return g=new zt({props:{code:`from transformers import AutoTokenizer, BioGptForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptForTokenClassification.from_pretrained("microsoft/biogpt")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForTokenClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=n("p"),b=r("Example:"),m=h(),k(g.$$.fragment)},l(d){l=s(d,"P",{});var _=a(l);b=i(_,"Example:"),_.forEach(t),m=u(d),T(g.$$.fragment,d)},m(d,_){f(d,l,_),o(l,b),f(d,m,_),y(g,d,_),v=!0},p:Ct,i(d){v||(w(g.$$.fragment,d),v=!0)},o(d){$(g.$$.fragment,d),v=!1},d(d){d&&t(l),d&&t(m),B(g,d)}}}function za(G){let l,b,m,g,v,d,_,C,xt,Yo,O,Z,vo,ke,Mt,ko,Pt,Ko,J,Ft,Te,Et,qt,Xo,Ye,At,Zo,Ke,To,jt,Jo,Xe,Lt,et,j,yo,Ot,Nt,wo,It,Dt,ye,St,$o,Wt,Ht,ot,L,Rt,we,Ut,Vt,$e,Qt,Yt,tt,N,ee,Bo,Be,Kt,Go,Xt,nt,Ze,Co,Je,Zt,st,I,oe,zo,Ge,Jt,xo,en,at,z,Ce,on,D,tn,eo,nn,sn,ze,an,rn,dn,S,ln,oo,cn,pn,to,hn,un,mn,te,rt,W,ne,Mo,xe,fn,Po,gn,it,x,Me,_n,Fo,bn,vn,Pe,kn,no,Tn,yn,wn,so,Fe,dt,H,se,Eo,Ee,$n,qo,Bn,lt,q,qe,Gn,Ae,Cn,je,zn,xn,Mn,P,Le,Pn,R,Fn,ao,En,qn,Ao,An,jn,Ln,ae,On,re,ct,U,ie,jo,Oe,Nn,Lo,In,pt,A,Ne,Dn,V,Sn,Oo,Wn,Hn,Ie,Rn,Un,Vn,F,De,Qn,Q,Yn,ro,Kn,Xn,No,Zn,Jn,es,de,os,le,ht,Y,ce,Io,Se,ts,Do,ns,ut,M,We,ss,So,as,rs,He,is,Re,ds,ls,cs,E,Ue,ps,K,hs,io,us,ms,Wo,fs,gs,_s,pe,bs,he,mt;return d=new ve({}),ke=new ve({}),Be=new ve({}),Ge=new ve({}),Ce=new X({props:{name:"class transformers.BioGptConfig",anchor:"transformers.BioGptConfig",parameters:[{name:"vocab_size",val:" = 42384"},{name:"hidden_size",val:" = 1024"},{name:"num_hidden_layers",val:" = 24"},{name:"num_attention_heads",val:" = 16"},{name:"intermediate_size",val:" = 4096"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 1024"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"scale_embedding",val:" = True"},{name:"use_cache",val:" = True"},{name:"layerdrop",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BioGptConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 42384) &#x2014;
Vocabulary size of the BioGPT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptModel">BioGptModel</a>.`,name:"vocab_size"},{anchor:"transformers.BioGptConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimension of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.BioGptConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 24) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.BioGptConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.BioGptConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimension of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.BioGptConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.BioGptConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.BioGptConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.BioGptConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.BioGptConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.BioGptConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.BioGptConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.BioGptConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.BioGptConfig.layerdrop",description:`<strong>layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Please refer to the paper about LayerDrop: <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a> for further details`,name:"layerdrop"},{anchor:"transformers.BioGptConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.BioGptConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Padding token id.`,name:"pad_token_id"},{anchor:"transformers.BioGptConfig.bos_token_id",description:`<strong>bos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Beginning of stream token id.`,name:"bos_token_id"},{anchor:"transformers.BioGptConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
End of stream token id.
Example &#x2014;`,name:"eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/configuration_biogpt.py#L29"}}),te=new Gt({props:{anchor:"transformers.BioGptConfig.example",$$slots:{default:[Ta]},$$scope:{ctx:G}}}),xe=new ve({}),Me=new X({props:{name:"class transformers.BioGptTokenizer",anchor:"transformers.BioGptTokenizer",parameters:[{name:"vocab_file",val:""},{name:"merges_file",val:""},{name:"unk_token",val:" = '<unk>'"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"pad_token",val:" = '<pad>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BioGptTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.BioGptTokenizer.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Merges file.`,name:"merges_file"},{anchor:"transformers.BioGptTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.BioGptTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.BioGptTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.BioGptTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.BioGptTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/tokenization_biogpt.py#L56"}}),Fe=new X({props:{name:"save_vocabulary",anchor:"transformers.BioGptTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/tokenization_biogpt.py#L326"}}),Ee=new ve({}),qe=new X({props:{name:"class transformers.BioGptModel",anchor:"transformers.BioGptModel",parameters:[{name:"config",val:": BioGptConfig"}],parametersDescription:[{anchor:"transformers.BioGptModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/modeling_biogpt.py#L446"}}),Le=new X({props:{name:"forward",anchor:"transformers.BioGptModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/modeling_biogpt.py#L496",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ae=new vs({props:{$$slots:{default:[ya]},$$scope:{ctx:G}}}),re=new Gt({props:{anchor:"transformers.BioGptModel.forward.example",$$slots:{default:[wa]},$$scope:{ctx:G}}}),Oe=new ve({}),Ne=new X({props:{name:"class transformers.BioGptForCausalLM",anchor:"transformers.BioGptForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.BioGptForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/modeling_biogpt.py#L634"}}),De=new X({props:{name:"forward",anchor:"transformers.BioGptForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BioGptForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
<code>labels = input_ids</code> Indices are selected in <code>[-100, 0, ..., config.vocab_size]</code> All labels set to <code>-100</code>
are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/modeling_biogpt.py#L652",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),de=new vs({props:{$$slots:{default:[$a]},$$scope:{ctx:G}}}),le=new Gt({props:{anchor:"transformers.BioGptForCausalLM.forward.example",$$slots:{default:[Ba]},$$scope:{ctx:G}}}),Se=new ve({}),We=new X({props:{name:"class transformers.BioGptForTokenClassification",anchor:"transformers.BioGptForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.BioGptForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/modeling_biogpt.py#L752"}}),Ue=new X({props:{name:"forward",anchor:"transformers.BioGptForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptForTokenClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptForTokenClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BioGptForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/biogpt/modeling_biogpt.py#L767",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pe=new vs({props:{$$slots:{default:[Ga]},$$scope:{ctx:G}}}),he=new Gt({props:{anchor:"transformers.BioGptForTokenClassification.forward.example",$$slots:{default:[Ca]},$$scope:{ctx:G}}}),{c(){l=n("meta"),b=h(),m=n("h1"),g=n("a"),v=n("span"),k(d.$$.fragment),_=h(),C=n("span"),xt=r("BioGPT"),Yo=h(),O=n("h2"),Z=n("a"),vo=n("span"),k(ke.$$.fragment),Mt=h(),ko=n("span"),Pt=r("Overview"),Ko=h(),J=n("p"),Ft=r("The BioGPT model was proposed in "),Te=n("a"),Et=r("BioGPT: generative pre-trained transformer for biomedical text generation and mining"),qt=r(" by Renqian Luo, Liai Sun, Yingce Xia, Tao Qin, Sheng Zhang, Hoifung Poon and Tie-Yan Liu. BioGPT is a domain-specific generative pre-trained Transformer language model for biomedical text generation and mining. BioGPT follows the Transformer language model backbone, and is pre-trained on 15M PubMed abstracts from scratch."),Xo=h(),Ye=n("p"),At=r("The abstract from the paper is the following:"),Zo=h(),Ke=n("p"),To=n("em"),jt=r("Pre-trained language models have attracted increasing attention in the biomedical domain, inspired by their great success in the general natural language domain. Among the two main branches of pre-trained language models in the general language domain, i.e. BERT (and its variants) and GPT (and its variants), the first one has been extensively studied in the biomedical domain, such as BioBERT and PubMedBERT. While they have achieved great success on a variety of discriminative downstream biomedical tasks, the lack of generation ability constrains their application scope. In this paper, we propose BioGPT, a domain-specific generative Transformer language model pre-trained on large-scale biomedical literature. We evaluate BioGPT on six biomedical natural language processing tasks and demonstrate that our model outperforms previous models on most tasks. Especially, we get 44.98%, 38.42% and 40.76% F1 score on BC5CDR, KD-DTI and DDI end-to-end relation extraction tasks, respectively, and 78.2% accuracy on PubMedQA, creating a new record. Our case study on text generation further demonstrates the advantage of BioGPT on biomedical literature to generate fluent descriptions for biomedical terms."),Jo=h(),Xe=n("p"),Lt=r("Tips:"),et=h(),j=n("ul"),yo=n("li"),Ot=r("BioGPT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather than the left."),Nt=h(),wo=n("li"),It=r("BioGPT was trained with a causal language modeling (CLM) objective and is therefore powerful at predicting the next token in a sequence. Leveraging this feature allows BioGPT to generate syntactically coherent text as it can be observed in the run_generation.py example script."),Dt=h(),ye=n("li"),St=r("The model can take the "),$o=n("code"),Wt=r("past_key_values"),Ht=r(" (for PyTorch) as input, which is the previously computed key/value attention pairs. Using this (past_key_values or past) value prevents the model from re-computing pre-computed values in the context of text generation. For PyTorch, see past_key_values argument of the BioGptForCausalLM.forward() method for more information on its usage."),ot=h(),L=n("p"),Rt=r("This model was contributed by "),we=n("a"),Ut=r("kamalkraj"),Vt=r(". The original code can be found "),$e=n("a"),Qt=r("here"),Yt=r("."),tt=h(),N=n("h2"),ee=n("a"),Bo=n("span"),k(Be.$$.fragment),Kt=h(),Go=n("span"),Xt=r("Documentation resources"),nt=h(),Ze=n("ul"),Co=n("li"),Je=n("a"),Zt=r("Causal language modeling task guide"),st=h(),I=n("h2"),oe=n("a"),zo=n("span"),k(Ge.$$.fragment),Jt=h(),xo=n("span"),en=r("BioGptConfig"),at=h(),z=n("div"),k(Ce.$$.fragment),on=h(),D=n("p"),tn=r("This is the configuration class to store the configuration of a "),eo=n("a"),nn=r("BioGptModel"),sn=r(`. It is used to instantiate an
BioGPT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the BioGPT
`),ze=n("a"),an=r("microsoft/biogpt"),rn=r(" architecture."),dn=h(),S=n("p"),ln=r("Configuration objects inherit from "),oo=n("a"),cn=r("PretrainedConfig"),pn=r(` and can be used to control the model outputs. Read the
documentation from `),to=n("a"),hn=r("PretrainedConfig"),un=r(" for more information."),mn=h(),k(te.$$.fragment),rt=h(),W=n("h2"),ne=n("a"),Mo=n("span"),k(xe.$$.fragment),fn=h(),Po=n("span"),gn=r("BioGptTokenizer"),it=h(),x=n("div"),k(Me.$$.fragment),_n=h(),Fo=n("p"),bn=r("Construct an FAIRSEQ Transformer tokenizer. Moses tokenization followed by Byte-Pair Encoding."),vn=h(),Pe=n("p"),kn=r("This tokenizer inherits from "),no=n("a"),Tn=r("PreTrainedTokenizer"),yn=r(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),wn=h(),so=n("div"),k(Fe.$$.fragment),dt=h(),H=n("h2"),se=n("a"),Eo=n("span"),k(Ee.$$.fragment),$n=h(),qo=n("span"),Bn=r("BioGptModel"),lt=h(),q=n("div"),k(qe.$$.fragment),Gn=h(),Ae=n("p"),Cn=r(`The bare BioGPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),je=n("a"),zn=r("torch.nn.Module"),xn=r(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Mn=h(),P=n("div"),k(Le.$$.fragment),Pn=h(),R=n("p"),Fn=r("The "),ao=n("a"),En=r("BioGptModel"),qn=r(" forward method, overrides the "),Ao=n("code"),An=r("__call__"),jn=r(" special method."),Ln=h(),k(ae.$$.fragment),On=h(),k(re.$$.fragment),ct=h(),U=n("h2"),ie=n("a"),jo=n("span"),k(Oe.$$.fragment),Nn=h(),Lo=n("span"),In=r("BioGptForCausalLM"),pt=h(),A=n("div"),k(Ne.$$.fragment),Dn=h(),V=n("p"),Sn=r("BioGPT Model with a "),Oo=n("code"),Wn=r("language modeling"),Hn=r(` head on top for CLM fine-tuning.
This model is a PyTorch `),Ie=n("a"),Rn=r("torch.nn.Module"),Un=r(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Vn=h(),F=n("div"),k(De.$$.fragment),Qn=h(),Q=n("p"),Yn=r("The "),ro=n("a"),Kn=r("BioGptForCausalLM"),Xn=r(" forward method, overrides the "),No=n("code"),Zn=r("__call__"),Jn=r(" special method."),es=h(),k(de.$$.fragment),os=h(),k(le.$$.fragment),ht=h(),Y=n("h2"),ce=n("a"),Io=n("span"),k(Se.$$.fragment),ts=h(),Do=n("span"),ns=r("BioGptForTokenClassification"),ut=h(),M=n("div"),k(We.$$.fragment),ss=h(),So=n("p"),as=r(`BioGPT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),rs=h(),He=n("p"),is=r("This model is a PyTorch "),Re=n("a"),ds=r("torch.nn.Module"),ls=r(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),cs=h(),E=n("div"),k(Ue.$$.fragment),ps=h(),K=n("p"),hs=r("The "),io=n("a"),us=r("BioGptForTokenClassification"),ms=r(" forward method, overrides the "),Wo=n("code"),fs=r("__call__"),gs=r(" special method."),_s=h(),k(pe.$$.fragment),bs=h(),k(he.$$.fragment),this.h()},l(e){const p=va('[data-svelte="svelte-1phssyn"]',document.head);l=s(p,"META",{name:!0,content:!0}),p.forEach(t),b=u(e),m=s(e,"H1",{class:!0});var Ve=a(m);g=s(Ve,"A",{id:!0,class:!0,href:!0});var Ho=a(g);v=s(Ho,"SPAN",{});var Ro=a(v);T(d.$$.fragment,Ro),Ro.forEach(t),Ho.forEach(t),_=u(Ve),C=s(Ve,"SPAN",{});var Uo=a(C);xt=i(Uo,"BioGPT"),Uo.forEach(t),Ve.forEach(t),Yo=u(e),O=s(e,"H2",{class:!0});var Qe=a(O);Z=s(Qe,"A",{id:!0,class:!0,href:!0});var Vo=a(Z);vo=s(Vo,"SPAN",{});var Qo=a(vo);T(ke.$$.fragment,Qo),Qo.forEach(t),Vo.forEach(t),Mt=u(Qe),ko=s(Qe,"SPAN",{});var ks=a(ko);Pt=i(ks,"Overview"),ks.forEach(t),Qe.forEach(t),Ko=u(e),J=s(e,"P",{});var ft=a(J);Ft=i(ft,"The BioGPT model was proposed in "),Te=s(ft,"A",{href:!0,rel:!0});var Ts=a(Te);Et=i(Ts,"BioGPT: generative pre-trained transformer for biomedical text generation and mining"),Ts.forEach(t),qt=i(ft," by Renqian Luo, Liai Sun, Yingce Xia, Tao Qin, Sheng Zhang, Hoifung Poon and Tie-Yan Liu. BioGPT is a domain-specific generative pre-trained Transformer language model for biomedical text generation and mining. BioGPT follows the Transformer language model backbone, and is pre-trained on 15M PubMed abstracts from scratch."),ft.forEach(t),Xo=u(e),Ye=s(e,"P",{});var ys=a(Ye);At=i(ys,"The abstract from the paper is the following:"),ys.forEach(t),Zo=u(e),Ke=s(e,"P",{});var ws=a(Ke);To=s(ws,"EM",{});var $s=a(To);jt=i($s,"Pre-trained language models have attracted increasing attention in the biomedical domain, inspired by their great success in the general natural language domain. Among the two main branches of pre-trained language models in the general language domain, i.e. BERT (and its variants) and GPT (and its variants), the first one has been extensively studied in the biomedical domain, such as BioBERT and PubMedBERT. While they have achieved great success on a variety of discriminative downstream biomedical tasks, the lack of generation ability constrains their application scope. In this paper, we propose BioGPT, a domain-specific generative Transformer language model pre-trained on large-scale biomedical literature. We evaluate BioGPT on six biomedical natural language processing tasks and demonstrate that our model outperforms previous models on most tasks. Especially, we get 44.98%, 38.42% and 40.76% F1 score on BC5CDR, KD-DTI and DDI end-to-end relation extraction tasks, respectively, and 78.2% accuracy on PubMedQA, creating a new record. Our case study on text generation further demonstrates the advantage of BioGPT on biomedical literature to generate fluent descriptions for biomedical terms."),$s.forEach(t),ws.forEach(t),Jo=u(e),Xe=s(e,"P",{});var Bs=a(Xe);Lt=i(Bs,"Tips:"),Bs.forEach(t),et=u(e),j=s(e,"UL",{});var lo=a(j);yo=s(lo,"LI",{});var Gs=a(yo);Ot=i(Gs,"BioGPT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather than the left."),Gs.forEach(t),Nt=u(lo),wo=s(lo,"LI",{});var Cs=a(wo);It=i(Cs,"BioGPT was trained with a causal language modeling (CLM) objective and is therefore powerful at predicting the next token in a sequence. Leveraging this feature allows BioGPT to generate syntactically coherent text as it can be observed in the run_generation.py example script."),Cs.forEach(t),Dt=u(lo),ye=s(lo,"LI",{});var gt=a(ye);St=i(gt,"The model can take the "),$o=s(gt,"CODE",{});var zs=a($o);Wt=i(zs,"past_key_values"),zs.forEach(t),Ht=i(gt," (for PyTorch) as input, which is the previously computed key/value attention pairs. Using this (past_key_values or past) value prevents the model from re-computing pre-computed values in the context of text generation. For PyTorch, see past_key_values argument of the BioGptForCausalLM.forward() method for more information on its usage."),gt.forEach(t),lo.forEach(t),ot=u(e),L=s(e,"P",{});var co=a(L);Rt=i(co,"This model was contributed by "),we=s(co,"A",{href:!0,rel:!0});var xs=a(we);Ut=i(xs,"kamalkraj"),xs.forEach(t),Vt=i(co,". The original code can be found "),$e=s(co,"A",{href:!0,rel:!0});var Ms=a($e);Qt=i(Ms,"here"),Ms.forEach(t),Yt=i(co,"."),co.forEach(t),tt=u(e),N=s(e,"H2",{class:!0});var _t=a(N);ee=s(_t,"A",{id:!0,class:!0,href:!0});var Ps=a(ee);Bo=s(Ps,"SPAN",{});var Fs=a(Bo);T(Be.$$.fragment,Fs),Fs.forEach(t),Ps.forEach(t),Kt=u(_t),Go=s(_t,"SPAN",{});var Es=a(Go);Xt=i(Es,"Documentation resources"),Es.forEach(t),_t.forEach(t),nt=u(e),Ze=s(e,"UL",{});var qs=a(Ze);Co=s(qs,"LI",{});var As=a(Co);Je=s(As,"A",{href:!0});var js=a(Je);Zt=i(js,"Causal language modeling task guide"),js.forEach(t),As.forEach(t),qs.forEach(t),st=u(e),I=s(e,"H2",{class:!0});var bt=a(I);oe=s(bt,"A",{id:!0,class:!0,href:!0});var Ls=a(oe);zo=s(Ls,"SPAN",{});var Os=a(zo);T(Ge.$$.fragment,Os),Os.forEach(t),Ls.forEach(t),Jt=u(bt),xo=s(bt,"SPAN",{});var Ns=a(xo);en=i(Ns,"BioGptConfig"),Ns.forEach(t),bt.forEach(t),at=u(e),z=s(e,"DIV",{class:!0});var ue=a(z);T(Ce.$$.fragment,ue),on=u(ue),D=s(ue,"P",{});var po=a(D);tn=i(po,"This is the configuration class to store the configuration of a "),eo=s(po,"A",{href:!0});var Is=a(eo);nn=i(Is,"BioGptModel"),Is.forEach(t),sn=i(po,`. It is used to instantiate an
BioGPT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the BioGPT
`),ze=s(po,"A",{href:!0,rel:!0});var Ds=a(ze);an=i(Ds,"microsoft/biogpt"),Ds.forEach(t),rn=i(po," architecture."),po.forEach(t),dn=u(ue),S=s(ue,"P",{});var ho=a(S);ln=i(ho,"Configuration objects inherit from "),oo=s(ho,"A",{href:!0});var Ss=a(oo);cn=i(Ss,"PretrainedConfig"),Ss.forEach(t),pn=i(ho,` and can be used to control the model outputs. Read the
documentation from `),to=s(ho,"A",{href:!0});var Ws=a(to);hn=i(Ws,"PretrainedConfig"),Ws.forEach(t),un=i(ho," for more information."),ho.forEach(t),mn=u(ue),T(te.$$.fragment,ue),ue.forEach(t),rt=u(e),W=s(e,"H2",{class:!0});var vt=a(W);ne=s(vt,"A",{id:!0,class:!0,href:!0});var Hs=a(ne);Mo=s(Hs,"SPAN",{});var Rs=a(Mo);T(xe.$$.fragment,Rs),Rs.forEach(t),Hs.forEach(t),fn=u(vt),Po=s(vt,"SPAN",{});var Us=a(Po);gn=i(Us,"BioGptTokenizer"),Us.forEach(t),vt.forEach(t),it=u(e),x=s(e,"DIV",{class:!0});var me=a(x);T(Me.$$.fragment,me),_n=u(me),Fo=s(me,"P",{});var Vs=a(Fo);bn=i(Vs,"Construct an FAIRSEQ Transformer tokenizer. Moses tokenization followed by Byte-Pair Encoding."),Vs.forEach(t),vn=u(me),Pe=s(me,"P",{});var kt=a(Pe);kn=i(kt,"This tokenizer inherits from "),no=s(kt,"A",{href:!0});var Qs=a(no);Tn=i(Qs,"PreTrainedTokenizer"),Qs.forEach(t),yn=i(kt,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),kt.forEach(t),wn=u(me),so=s(me,"DIV",{class:!0});var Ys=a(so);T(Fe.$$.fragment,Ys),Ys.forEach(t),me.forEach(t),dt=u(e),H=s(e,"H2",{class:!0});var Tt=a(H);se=s(Tt,"A",{id:!0,class:!0,href:!0});var Ks=a(se);Eo=s(Ks,"SPAN",{});var Xs=a(Eo);T(Ee.$$.fragment,Xs),Xs.forEach(t),Ks.forEach(t),$n=u(Tt),qo=s(Tt,"SPAN",{});var Zs=a(qo);Bn=i(Zs,"BioGptModel"),Zs.forEach(t),Tt.forEach(t),lt=u(e),q=s(e,"DIV",{class:!0});var uo=a(q);T(qe.$$.fragment,uo),Gn=u(uo),Ae=s(uo,"P",{});var yt=a(Ae);Cn=i(yt,`The bare BioGPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),je=s(yt,"A",{href:!0,rel:!0});var Js=a(je);zn=i(Js,"torch.nn.Module"),Js.forEach(t),xn=i(yt,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),yt.forEach(t),Mn=u(uo),P=s(uo,"DIV",{class:!0});var fe=a(P);T(Le.$$.fragment,fe),Pn=u(fe),R=s(fe,"P",{});var mo=a(R);Fn=i(mo,"The "),ao=s(mo,"A",{href:!0});var ea=a(ao);En=i(ea,"BioGptModel"),ea.forEach(t),qn=i(mo," forward method, overrides the "),Ao=s(mo,"CODE",{});var oa=a(Ao);An=i(oa,"__call__"),oa.forEach(t),jn=i(mo," special method."),mo.forEach(t),Ln=u(fe),T(ae.$$.fragment,fe),On=u(fe),T(re.$$.fragment,fe),fe.forEach(t),uo.forEach(t),ct=u(e),U=s(e,"H2",{class:!0});var wt=a(U);ie=s(wt,"A",{id:!0,class:!0,href:!0});var ta=a(ie);jo=s(ta,"SPAN",{});var na=a(jo);T(Oe.$$.fragment,na),na.forEach(t),ta.forEach(t),Nn=u(wt),Lo=s(wt,"SPAN",{});var sa=a(Lo);In=i(sa,"BioGptForCausalLM"),sa.forEach(t),wt.forEach(t),pt=u(e),A=s(e,"DIV",{class:!0});var fo=a(A);T(Ne.$$.fragment,fo),Dn=u(fo),V=s(fo,"P",{});var go=a(V);Sn=i(go,"BioGPT Model with a "),Oo=s(go,"CODE",{});var aa=a(Oo);Wn=i(aa,"language modeling"),aa.forEach(t),Hn=i(go,` head on top for CLM fine-tuning.
This model is a PyTorch `),Ie=s(go,"A",{href:!0,rel:!0});var ra=a(Ie);Rn=i(ra,"torch.nn.Module"),ra.forEach(t),Un=i(go,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),go.forEach(t),Vn=u(fo),F=s(fo,"DIV",{class:!0});var ge=a(F);T(De.$$.fragment,ge),Qn=u(ge),Q=s(ge,"P",{});var _o=a(Q);Yn=i(_o,"The "),ro=s(_o,"A",{href:!0});var ia=a(ro);Kn=i(ia,"BioGptForCausalLM"),ia.forEach(t),Xn=i(_o," forward method, overrides the "),No=s(_o,"CODE",{});var da=a(No);Zn=i(da,"__call__"),da.forEach(t),Jn=i(_o," special method."),_o.forEach(t),es=u(ge),T(de.$$.fragment,ge),os=u(ge),T(le.$$.fragment,ge),ge.forEach(t),fo.forEach(t),ht=u(e),Y=s(e,"H2",{class:!0});var $t=a(Y);ce=s($t,"A",{id:!0,class:!0,href:!0});var la=a(ce);Io=s(la,"SPAN",{});var ca=a(Io);T(Se.$$.fragment,ca),ca.forEach(t),la.forEach(t),ts=u($t),Do=s($t,"SPAN",{});var pa=a(Do);ns=i(pa,"BioGptForTokenClassification"),pa.forEach(t),$t.forEach(t),ut=u(e),M=s(e,"DIV",{class:!0});var _e=a(M);T(We.$$.fragment,_e),ss=u(_e),So=s(_e,"P",{});var ha=a(So);as=i(ha,`BioGPT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),ha.forEach(t),rs=u(_e),He=s(_e,"P",{});var Bt=a(He);is=i(Bt,"This model is a PyTorch "),Re=s(Bt,"A",{href:!0,rel:!0});var ua=a(Re);ds=i(ua,"torch.nn.Module"),ua.forEach(t),ls=i(Bt,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Bt.forEach(t),cs=u(_e),E=s(_e,"DIV",{class:!0});var be=a(E);T(Ue.$$.fragment,be),ps=u(be),K=s(be,"P",{});var bo=a(K);hs=i(bo,"The "),io=s(bo,"A",{href:!0});var ma=a(io);us=i(ma,"BioGptForTokenClassification"),ma.forEach(t),ms=i(bo," forward method, overrides the "),Wo=s(bo,"CODE",{});var fa=a(Wo);fs=i(fa,"__call__"),fa.forEach(t),gs=i(bo," special method."),bo.forEach(t),_s=u(be),T(pe.$$.fragment,be),bs=u(be),T(he.$$.fragment,be),be.forEach(t),_e.forEach(t),this.h()},h(){c(l,"name","hf:doc:metadata"),c(l,"content",JSON.stringify(xa)),c(g,"id","biogpt"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#biogpt"),c(m,"class","relative group"),c(Z,"id","overview"),c(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Z,"href","#overview"),c(O,"class","relative group"),c(Te,"href","https://academic.oup.com/bib/advance-article/doi/10.1093/bib/bbac409/6713511?guestAccessKey=a66d9b5d-4f83-4017-bb52-405815c907b9"),c(Te,"rel","nofollow"),c(we,"href","https://huggingface.co/kamalkraj"),c(we,"rel","nofollow"),c($e,"href","https://github.com/microsoft/BioGPT"),c($e,"rel","nofollow"),c(ee,"id","documentation-resources"),c(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ee,"href","#documentation-resources"),c(N,"class","relative group"),c(Je,"href","../tasks/language_modeling"),c(oe,"id","transformers.BioGptConfig"),c(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(oe,"href","#transformers.BioGptConfig"),c(I,"class","relative group"),c(eo,"href","/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptModel"),c(ze,"href","https://huggingface.co/microsoft/biogpt"),c(ze,"rel","nofollow"),c(oo,"href","/docs/transformers/pr_21499/en/main_classes/configuration#transformers.PretrainedConfig"),c(to,"href","/docs/transformers/pr_21499/en/main_classes/configuration#transformers.PretrainedConfig"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ne,"id","transformers.BioGptTokenizer"),c(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ne,"href","#transformers.BioGptTokenizer"),c(W,"class","relative group"),c(no,"href","/docs/transformers/pr_21499/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(so,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(se,"id","transformers.BioGptModel"),c(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(se,"href","#transformers.BioGptModel"),c(H,"class","relative group"),c(je,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(je,"rel","nofollow"),c(ao,"href","/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptModel"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ie,"id","transformers.BioGptForCausalLM"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#transformers.BioGptForCausalLM"),c(U,"class","relative group"),c(Ie,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Ie,"rel","nofollow"),c(ro,"href","/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptForCausalLM"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ce,"id","transformers.BioGptForTokenClassification"),c(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ce,"href","#transformers.BioGptForTokenClassification"),c(Y,"class","relative group"),c(Re,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Re,"rel","nofollow"),c(io,"href","/docs/transformers/pr_21499/en/model_doc/biogpt#transformers.BioGptForTokenClassification"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){o(document.head,l),f(e,b,p),f(e,m,p),o(m,g),o(g,v),y(d,v,null),o(m,_),o(m,C),o(C,xt),f(e,Yo,p),f(e,O,p),o(O,Z),o(Z,vo),y(ke,vo,null),o(O,Mt),o(O,ko),o(ko,Pt),f(e,Ko,p),f(e,J,p),o(J,Ft),o(J,Te),o(Te,Et),o(J,qt),f(e,Xo,p),f(e,Ye,p),o(Ye,At),f(e,Zo,p),f(e,Ke,p),o(Ke,To),o(To,jt),f(e,Jo,p),f(e,Xe,p),o(Xe,Lt),f(e,et,p),f(e,j,p),o(j,yo),o(yo,Ot),o(j,Nt),o(j,wo),o(wo,It),o(j,Dt),o(j,ye),o(ye,St),o(ye,$o),o($o,Wt),o(ye,Ht),f(e,ot,p),f(e,L,p),o(L,Rt),o(L,we),o(we,Ut),o(L,Vt),o(L,$e),o($e,Qt),o(L,Yt),f(e,tt,p),f(e,N,p),o(N,ee),o(ee,Bo),y(Be,Bo,null),o(N,Kt),o(N,Go),o(Go,Xt),f(e,nt,p),f(e,Ze,p),o(Ze,Co),o(Co,Je),o(Je,Zt),f(e,st,p),f(e,I,p),o(I,oe),o(oe,zo),y(Ge,zo,null),o(I,Jt),o(I,xo),o(xo,en),f(e,at,p),f(e,z,p),y(Ce,z,null),o(z,on),o(z,D),o(D,tn),o(D,eo),o(eo,nn),o(D,sn),o(D,ze),o(ze,an),o(D,rn),o(z,dn),o(z,S),o(S,ln),o(S,oo),o(oo,cn),o(S,pn),o(S,to),o(to,hn),o(S,un),o(z,mn),y(te,z,null),f(e,rt,p),f(e,W,p),o(W,ne),o(ne,Mo),y(xe,Mo,null),o(W,fn),o(W,Po),o(Po,gn),f(e,it,p),f(e,x,p),y(Me,x,null),o(x,_n),o(x,Fo),o(Fo,bn),o(x,vn),o(x,Pe),o(Pe,kn),o(Pe,no),o(no,Tn),o(Pe,yn),o(x,wn),o(x,so),y(Fe,so,null),f(e,dt,p),f(e,H,p),o(H,se),o(se,Eo),y(Ee,Eo,null),o(H,$n),o(H,qo),o(qo,Bn),f(e,lt,p),f(e,q,p),y(qe,q,null),o(q,Gn),o(q,Ae),o(Ae,Cn),o(Ae,je),o(je,zn),o(Ae,xn),o(q,Mn),o(q,P),y(Le,P,null),o(P,Pn),o(P,R),o(R,Fn),o(R,ao),o(ao,En),o(R,qn),o(R,Ao),o(Ao,An),o(R,jn),o(P,Ln),y(ae,P,null),o(P,On),y(re,P,null),f(e,ct,p),f(e,U,p),o(U,ie),o(ie,jo),y(Oe,jo,null),o(U,Nn),o(U,Lo),o(Lo,In),f(e,pt,p),f(e,A,p),y(Ne,A,null),o(A,Dn),o(A,V),o(V,Sn),o(V,Oo),o(Oo,Wn),o(V,Hn),o(V,Ie),o(Ie,Rn),o(V,Un),o(A,Vn),o(A,F),y(De,F,null),o(F,Qn),o(F,Q),o(Q,Yn),o(Q,ro),o(ro,Kn),o(Q,Xn),o(Q,No),o(No,Zn),o(Q,Jn),o(F,es),y(de,F,null),o(F,os),y(le,F,null),f(e,ht,p),f(e,Y,p),o(Y,ce),o(ce,Io),y(Se,Io,null),o(Y,ts),o(Y,Do),o(Do,ns),f(e,ut,p),f(e,M,p),y(We,M,null),o(M,ss),o(M,So),o(So,as),o(M,rs),o(M,He),o(He,is),o(He,Re),o(Re,ds),o(He,ls),o(M,cs),o(M,E),y(Ue,E,null),o(E,ps),o(E,K),o(K,hs),o(K,io),o(io,us),o(K,ms),o(K,Wo),o(Wo,fs),o(K,gs),o(E,_s),y(pe,E,null),o(E,bs),y(he,E,null),mt=!0},p(e,[p]){const Ve={};p&2&&(Ve.$$scope={dirty:p,ctx:e}),te.$set(Ve);const Ho={};p&2&&(Ho.$$scope={dirty:p,ctx:e}),ae.$set(Ho);const Ro={};p&2&&(Ro.$$scope={dirty:p,ctx:e}),re.$set(Ro);const Uo={};p&2&&(Uo.$$scope={dirty:p,ctx:e}),de.$set(Uo);const Qe={};p&2&&(Qe.$$scope={dirty:p,ctx:e}),le.$set(Qe);const Vo={};p&2&&(Vo.$$scope={dirty:p,ctx:e}),pe.$set(Vo);const Qo={};p&2&&(Qo.$$scope={dirty:p,ctx:e}),he.$set(Qo)},i(e){mt||(w(d.$$.fragment,e),w(ke.$$.fragment,e),w(Be.$$.fragment,e),w(Ge.$$.fragment,e),w(Ce.$$.fragment,e),w(te.$$.fragment,e),w(xe.$$.fragment,e),w(Me.$$.fragment,e),w(Fe.$$.fragment,e),w(Ee.$$.fragment,e),w(qe.$$.fragment,e),w(Le.$$.fragment,e),w(ae.$$.fragment,e),w(re.$$.fragment,e),w(Oe.$$.fragment,e),w(Ne.$$.fragment,e),w(De.$$.fragment,e),w(de.$$.fragment,e),w(le.$$.fragment,e),w(Se.$$.fragment,e),w(We.$$.fragment,e),w(Ue.$$.fragment,e),w(pe.$$.fragment,e),w(he.$$.fragment,e),mt=!0)},o(e){$(d.$$.fragment,e),$(ke.$$.fragment,e),$(Be.$$.fragment,e),$(Ge.$$.fragment,e),$(Ce.$$.fragment,e),$(te.$$.fragment,e),$(xe.$$.fragment,e),$(Me.$$.fragment,e),$(Fe.$$.fragment,e),$(Ee.$$.fragment,e),$(qe.$$.fragment,e),$(Le.$$.fragment,e),$(ae.$$.fragment,e),$(re.$$.fragment,e),$(Oe.$$.fragment,e),$(Ne.$$.fragment,e),$(De.$$.fragment,e),$(de.$$.fragment,e),$(le.$$.fragment,e),$(Se.$$.fragment,e),$(We.$$.fragment,e),$(Ue.$$.fragment,e),$(pe.$$.fragment,e),$(he.$$.fragment,e),mt=!1},d(e){t(l),e&&t(b),e&&t(m),B(d),e&&t(Yo),e&&t(O),B(ke),e&&t(Ko),e&&t(J),e&&t(Xo),e&&t(Ye),e&&t(Zo),e&&t(Ke),e&&t(Jo),e&&t(Xe),e&&t(et),e&&t(j),e&&t(ot),e&&t(L),e&&t(tt),e&&t(N),B(Be),e&&t(nt),e&&t(Ze),e&&t(st),e&&t(I),B(Ge),e&&t(at),e&&t(z),B(Ce),B(te),e&&t(rt),e&&t(W),B(xe),e&&t(it),e&&t(x),B(Me),B(Fe),e&&t(dt),e&&t(H),B(Ee),e&&t(lt),e&&t(q),B(qe),B(Le),B(ae),B(re),e&&t(ct),e&&t(U),B(Oe),e&&t(pt),e&&t(A),B(Ne),B(De),B(de),B(le),e&&t(ht),e&&t(Y),B(Se),e&&t(ut),e&&t(M),B(We),B(Ue),B(pe),B(he)}}}const xa={local:"biogpt",sections:[{local:"overview",title:"Overview"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.BioGptConfig",title:"BioGptConfig"},{local:"transformers.BioGptTokenizer",title:"BioGptTokenizer"},{local:"transformers.BioGptModel",title:"BioGptModel"},{local:"transformers.BioGptForCausalLM",title:"BioGptForCausalLM"},{local:"transformers.BioGptForTokenClassification",title:"BioGptForTokenClassification"}],title:"BioGPT"};function Ma(G){return ka(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class La extends ga{constructor(l){super();_a(this,l,Ma,za,ba,{})}}export{La as default,xa as metadata};
