import{S as gi,i as ui,s as _i,e as t,k as c,w as P,t as n,M as vi,c as a,d as r,m as d,a as s,x as b,h as l,b as i,N as Pi,G as e,g as p,y as w,q as $,o as F,B as y,v as bi,L as zn}from"../../chunks/vendor-hf-doc-builder.js";import{T as hi}from"../../chunks/Tip-hf-doc-builder.js";import{D as ce}from"../../chunks/Docstring-hf-doc-builder.js";import{C as An}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ae}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as kn}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as wi}from"../../chunks/PipelineTag-hf-doc-builder.js";function $i(D){let h,T,_,g,v;return g=new An({props:{code:`from transformers import PoolFormerConfig, PoolFormerModel

# Initializing a PoolFormer sail/poolformer_s12 style configuration
configuration = PoolFormerConfig()

# Initializing a model (with random weights) from the sail/poolformer_s12 style configuration
model = PoolFormerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PoolFormerConfig, PoolFormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a PoolFormer sail/poolformer_s12 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = PoolFormerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the sail/poolformer_s12 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PoolFormerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=t("p"),T=n("Example:"),_=c(),P(g.$$.fragment)},l(m){h=a(m,"P",{});var u=s(h);T=l(u,"Example:"),u.forEach(r),_=d(m),b(g.$$.fragment,m)},m(m,u){p(m,h,u),e(h,T),p(m,_,u),w(g,m,u),v=!0},p:zn,i(m){v||($(g.$$.fragment,m),v=!0)},o(m){F(g.$$.fragment,m),v=!1},d(m){m&&r(h),m&&r(_),y(g,m)}}}function Fi(D){let h,T,_,g,v;return{c(){h=t("p"),T=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=t("code"),g=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){h=a(m,"P",{});var u=s(h);T=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var L=s(_);g=l(L,"Module"),L.forEach(r),v=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(r)},m(m,u){p(m,h,u),e(h,T),e(h,_),e(_,g),e(h,v)},d(m){m&&r(h)}}}function yi(D){let h,T,_,g,v;return g=new An({props:{code:`from transformers import AutoImageProcessor, PoolFormerModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("sail/poolformer_s12")
model = PoolFormerModel.from_pretrained("sail/poolformer_s12")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, PoolFormerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PoolFormerModel.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">512</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){h=t("p"),T=n("Example:"),_=c(),P(g.$$.fragment)},l(m){h=a(m,"P",{});var u=s(h);T=l(u,"Example:"),u.forEach(r),_=d(m),b(g.$$.fragment,m)},m(m,u){p(m,h,u),e(h,T),p(m,_,u),w(g,m,u),v=!0},p:zn,i(m){v||($(g.$$.fragment,m),v=!0)},o(m){F(g.$$.fragment,m),v=!1},d(m){m&&r(h),m&&r(_),y(g,m)}}}function Ti(D){let h,T,_,g,v;return{c(){h=t("p"),T=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=t("code"),g=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){h=a(m,"P",{});var u=s(h);T=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var L=s(_);g=l(L,"Module"),L.forEach(r),v=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(r)},m(m,u){p(m,h,u),e(h,T),e(h,_),e(_,g),e(h,v)},d(m){m&&r(h)}}}function Ei(D){let h,T,_,g,v;return g=new An({props:{code:`from transformers import AutoImageProcessor, PoolFormerForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("sail/poolformer_s12")
model = PoolFormerForImageClassification.from_pretrained("sail/poolformer_s12")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, PoolFormerForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PoolFormerForImageClassification.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){h=t("p"),T=n("Example:"),_=c(),P(g.$$.fragment)},l(m){h=a(m,"P",{});var u=s(h);T=l(u,"Example:"),u.forEach(r),_=d(m),b(g.$$.fragment,m)},m(m,u){p(m,h,u),e(h,T),p(m,_,u),w(g,m,u),v=!0},p:zn,i(m){v||($(g.$$.fragment,m),v=!0)},o(m){F(g.$$.fragment,m),v=!1},d(m){m&&r(h),m&&r(_),y(g,m)}}}function Ii(D){let h,T,_,g,v,m,u,L,Mt,Ur,X,de,or,Me,jt,rr,Dt,Wr,me,Nt,je,qt,Lt,Vr,go,St,Gr,uo,tr,Rt,Yr,fe,Ot,De,Ht,Bt,Jr,Ne,Mn,Kr,_o,Ut,Xr,O,qe,Wt,Le,Vt,Gt,Yt,Se,Jt,vo,Kt,Xt,Qt,ar,Zt,Qr,pe,sr,E,Po,nr,ea,oa,lr,ir,ra,ta,cr,dr,aa,sa,bo,mr,na,la,wo,fr,ia,ca,I,x,$o,da,ma,pr,fa,pa,hr,ha,ga,Fo,ua,_a,yo,va,Pa,C,To,ba,wa,gr,$a,Fa,ur,ya,Ta,Eo,Ea,Ia,Io,xa,Ca,k,xo,ka,za,_r,Aa,Ma,vr,ja,Da,Co,Na,qa,ko,La,Sa,z,zo,Ra,Oa,Pr,Ha,Ba,br,Ua,Wa,Ao,Va,Ga,Mo,Ya,Ja,A,jo,Ka,Xa,wr,Qa,Za,$r,es,os,Do,rs,ts,No,as,Zr,H,ss,Re,ns,ls,Oe,is,cs,et,Q,he,Fr,He,ds,yr,ms,ot,qo,fs,rt,Be,tt,ge,B,Lo,ps,hs,Ue,gs,us,We,_s,vs,Ps,So,bs,Ro,ws,at,Oo,$s,st,Z,ue,Tr,Ve,Fs,Er,ys,nt,M,Ge,Ts,ee,Es,Ho,Is,xs,Ye,Cs,ks,zs,oe,As,Bo,Ms,js,Uo,Ds,Ns,qs,_e,lt,re,ve,Ir,Je,Ls,xr,Ss,it,te,Ke,Rs,Pe,Xe,Os,Cr,Hs,ct,ae,be,kr,Qe,Bs,zr,Us,dt,S,Ze,Ws,Ar,Vs,Gs,we,eo,Ys,Mr,Js,mt,se,$e,jr,oo,Ks,Dr,Xs,ft,R,ro,Qs,to,Zs,ao,en,on,rn,N,so,tn,ne,an,Wo,sn,nn,Nr,ln,cn,dn,Fe,mn,ye,pt,le,Te,qr,no,fn,Lr,pn,ht,j,lo,hn,Sr,gn,un,io,_n,co,vn,Pn,bn,q,mo,wn,ie,$n,Vo,Fn,yn,Rr,Tn,En,In,Ee,xn,Ie,gt;return m=new Ae({}),Me=new Ae({}),He=new Ae({}),Be=new wi({props:{pipeline:"image-classification"}}),Ve=new Ae({}),Ge=new ce({props:{name:"class transformers.PoolFormerConfig",anchor:"transformers.PoolFormerConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"patch_size",val:" = 16"},{name:"stride",val:" = 16"},{name:"pool_size",val:" = 3"},{name:"mlp_ratio",val:" = 4.0"},{name:"depths",val:" = [2, 2, 6, 2]"},{name:"hidden_sizes",val:" = [64, 128, 320, 512]"},{name:"patch_sizes",val:" = [7, 3, 3, 3]"},{name:"strides",val:" = [4, 2, 2, 2]"},{name:"padding",val:" = [2, 1, 1, 1]"},{name:"num_encoder_blocks",val:" = 4"},{name:"drop_path_rate",val:" = 0.0"},{name:"hidden_act",val:" = 'gelu'"},{name:"use_layer_scale",val:" = True"},{name:"layer_scale_init_value",val:" = 1e-05"},{name:"initializer_range",val:" = 0.02"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels in the input image.`,name:"num_channels"},{anchor:"transformers.PoolFormerConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size of the input patch.`,name:"patch_size"},{anchor:"transformers.PoolFormerConfig.stride",description:`<strong>stride</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The stride of the input patch.`,name:"stride"},{anchor:"transformers.PoolFormerConfig.pool_size",description:`<strong>pool_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The size of the pooling window.`,name:"pool_size"},{anchor:"transformers.PoolFormerConfig.mlp_ratio",description:`<strong>mlp_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 4.0) &#x2014;
The ratio of the number of channels in the output of the MLP to the number of channels in the input.`,name:"mlp_ratio"},{anchor:"transformers.PoolFormerConfig.depths",description:`<strong>depths</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[2, 2, 6, 2]</code>) &#x2014;
The depth of each encoder block.`,name:"depths"},{anchor:"transformers.PoolFormerConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[64, 128, 320, 512]</code>) &#x2014;
The hidden sizes of each encoder block.`,name:"hidden_sizes"},{anchor:"transformers.PoolFormerConfig.patch_sizes",description:`<strong>patch_sizes</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[7, 3, 3, 3]</code>) &#x2014;
The size of the input patch for each encoder block.`,name:"patch_sizes"},{anchor:"transformers.PoolFormerConfig.strides",description:`<strong>strides</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[4, 2, 2, 2]</code>) &#x2014;
The stride of the input patch for each encoder block.`,name:"strides"},{anchor:"transformers.PoolFormerConfig.padding",description:`<strong>padding</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[2, 1, 1, 1]</code>) &#x2014;
The padding of the input patch for each encoder block.`,name:"padding"},{anchor:"transformers.PoolFormerConfig.num_encoder_blocks",description:`<strong>num_encoder_blocks</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of encoder blocks.`,name:"num_encoder_blocks"},{anchor:"transformers.PoolFormerConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout rate for the dropout layers.`,name:"drop_path_rate"},{anchor:"transformers.PoolFormerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The activation function for the hidden layers.`,name:"hidden_act"},{anchor:"transformers.PoolFormerConfig.use_layer_scale",description:`<strong>use_layer_scale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use layer scale.`,name:"use_layer_scale"},{anchor:"transformers.PoolFormerConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The initial value for the layer scale.`,name:"layer_scale_init_value"},{anchor:"transformers.PoolFormerConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The initializer range for the weights.`,name:"initializer_range"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/configuration_poolformer.py#L34"}}),_e=new kn({props:{anchor:"transformers.PoolFormerConfig.example",$$slots:{default:[$i]},$$scope:{ctx:D}}}),Je=new Ae({}),Ke=new ce({props:{name:"class transformers.PoolFormerFeatureExtractor",anchor:"transformers.PoolFormerFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/feature_extraction_poolformer.py#L26"}}),Xe=new ce({props:{name:"__call__",anchor:"transformers.PoolFormerFeatureExtractor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/image_processing_utils.py#L462"}}),Qe=new Ae({}),Ze=new ce({props:{name:"class transformers.PoolFormerImageProcessor",anchor:"transformers.PoolFormerImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": int = 0.9"},{name:"resample",val:": Resampling = <Resampling.BICUBIC: 3>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_rescale",val:": bool = True"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by
<code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.PoolFormerImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the image after resizing. Can be overridden by <code>size</code> in the <code>preprocess</code> method. If crop_pct is
unset:</p>
<ul>
<li>size is <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code>: the image is resized to <code>(h, w)</code>.</li>
<li>size is <code>{&quot;shortest_edge&quot;: s}</code>: the shortest edge of the image is resized to s whilst maintaining the
aspect ratio.</li>
</ul>
<p>If crop_pct is set:</p>
<ul>
<li>size is <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code>: the image is resized to <code>(int(floor(h/crop_pct)), int(floor(w/crop_pct)))</code></li>
<li>size is <code>{&quot;height&quot;: c, &quot;width&quot;: c}</code>: the shortest edge of the image is resized to <code>int(floor(c/crop_pct)</code>
whilst maintaining the aspect ratio.</li>
<li>size is <code>{&quot;shortest_edge&quot;: c}</code>: the shortest edge of the image is resized to <code>int(floor(c/crop_pct)</code>
whilst maintaining the aspect ratio.</li>
</ul>`,name:"size"},{anchor:"transformers.PoolFormerImageProcessor.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>0.9</code>) &#x2014;
Percentage of the image to crop from the center. Can be overridden by <code>crop_pct</code> in the <code>preprocess</code>
method.`,name:"crop_pct"},{anchor:"transformers.PoolFormerImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BICUBIC</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.PoolFormerImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image. If the input size is smaller than <code>crop_size</code> along any edge, the image
is padded with 0&#x2019;s and then center cropped. Can be overridden by <code>do_center_crop</code> in the <code>preprocess</code>
method.`,name:"do_center_crop"},{anchor:"transformers.PoolFormerImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Size of the image after applying center crop. Only has an effect if <code>do_center_crop</code> is set to <code>True</code>. Can
be overridden by the <code>crop_size</code> parameter in the <code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.PoolFormerImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.PoolFormerImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.PoolFormerImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the
<code>preprocess</code> method.`,name:"do_normalize"},{anchor:"transformers.PoolFormerImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.PoolFormerImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/image_processing_poolformer.py#L50"}}),eo=new ce({props:{name:"preprocess",anchor:"transformers.PoolFormerImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": int = None"},{name:"resample",val:": Resampling = None"},{name:"do_center_crop",val:": bool = None"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after applying resize.`,name:"size"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.crop_pct</code>) &#x2014;
Percentage of the image to crop. Only has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"crop_pct"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_center_crop</code>) &#x2014;
Whether to center crop the image.`,name:"do_center_crop"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.crop_size</code>) &#x2014;
Size of the image after applying center crop.`,name:"crop_size"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/image_processing_poolformer.py#L265"}}),oo=new Ae({}),ro=new ce({props:{name:"class transformers.PoolFormerModel",anchor:"transformers.PoolFormerModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerConfig">PoolFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/modeling_poolformer.py#L313"}}),so=new ce({props:{name:"forward",anchor:"transformers.PoolFormerModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PoolFormerModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21499/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">PoolFormerImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/modeling_poolformer.py#L326",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerConfig"
>PoolFormerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fe=new hi({props:{$$slots:{default:[Fi]},$$scope:{ctx:D}}}),ye=new kn({props:{anchor:"transformers.PoolFormerModel.forward.example",$$slots:{default:[yi]},$$scope:{ctx:D}}}),no=new Ae({}),lo=new ce({props:{name:"class transformers.PoolFormerForImageClassification",anchor:"transformers.PoolFormerForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerConfig">PoolFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/modeling_poolformer.py#L380"}}),mo=new ce({props:{name:"forward",anchor:"transformers.PoolFormerForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PoolFormerForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21499/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">PoolFormerImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.PoolFormerForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/poolformer/modeling_poolformer.py#L396",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerConfig"
>PoolFormerConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ee=new hi({props:{$$slots:{default:[Ti]},$$scope:{ctx:D}}}),Ie=new kn({props:{anchor:"transformers.PoolFormerForImageClassification.forward.example",$$slots:{default:[Ei]},$$scope:{ctx:D}}}),{c(){h=t("meta"),T=c(),_=t("h1"),g=t("a"),v=t("span"),P(m.$$.fragment),u=c(),L=t("span"),Mt=n("PoolFormer"),Ur=c(),X=t("h2"),de=t("a"),or=t("span"),P(Me.$$.fragment),jt=c(),rr=t("span"),Dt=n("Overview"),Wr=c(),me=t("p"),Nt=n("The PoolFormer model was proposed in "),je=t("a"),qt=n("MetaFormer is Actually What You Need for Vision"),Lt=n("  by Sea AI Labs. Instead of designing complicated token mixer to achieve SOTA performance, the target of this work is to demonstrate the competence of transformer models largely stem from the general architecture MetaFormer."),Vr=c(),go=t("p"),St=n("The abstract from the paper is the following:"),Gr=c(),uo=t("p"),tr=t("em"),Rt=n("Transformers have shown great potential in computer vision tasks. A common belief is their attention-based token mixer module contributes most to their competence. However, recent works show the attention-based module in transformers can be replaced by spatial MLPs and the resulted models still perform quite well. Based on this observation, we hypothesize that the general architecture of the transformers, instead of the specific token mixer module, is more essential to the model\u2019s performance. To verify this, we deliberately replace the attention module in transformers with an embarrassingly simple spatial pooling operator to conduct only the most basic token mixing. Surprisingly, we observe that the derived model, termed as PoolFormer, achieves competitive performance on multiple computer vision tasks. For example, on ImageNet-1K, PoolFormer achieves 82.1% top-1 accuracy, surpassing well-tuned vision transformer/MLP-like baselines DeiT-B/ResMLP-B24 by 0.3%/1.1% accuracy with 35%/52% fewer parameters and 48%/60% fewer MACs. The effectiveness of PoolFormer verifies our hypothesis and urges us to initiate the concept of \u201CMetaFormer\u201D, a general architecture abstracted from transformers without specifying the token mixer. Based on the extensive experiments, we argue that MetaFormer is the key player in achieving superior results for recent transformer and MLP-like models on vision tasks. This work calls for more future research dedicated to improving MetaFormer instead of focusing on the token mixer modules. Additionally, our proposed PoolFormer could serve as a starting baseline for future MetaFormer architecture design."),Yr=c(),fe=t("p"),Ot=n("The figure below illustrates the architecture of PoolFormer. Taken from the "),De=t("a"),Ht=n("original paper"),Bt=n("."),Jr=c(),Ne=t("img"),Kr=c(),_o=t("p"),Ut=n("Tips:"),Xr=c(),O=t("ul"),qe=t("li"),Wt=n("PoolFormer has a hierarchical architecture, where instead of Attention, a simple Average Pooling layer is present. All checkpoints of the model can be found on the "),Le=t("a"),Vt=n("hub"),Gt=n("."),Yt=c(),Se=t("li"),Jt=n("One can use "),vo=t("a"),Kt=n("PoolFormerImageProcessor"),Xt=n(" to prepare images for the model."),Qt=c(),ar=t("li"),Zt=n("As most models, PoolFormer comes in different sizes, the details of which can be found in the table below."),Qr=c(),pe=t("table"),sr=t("thead"),E=t("tr"),Po=t("th"),nr=t("strong"),ea=n("Model variant"),oa=c(),lr=t("th"),ir=t("strong"),ra=n("Depths"),ta=c(),cr=t("th"),dr=t("strong"),aa=n("Hidden sizes"),sa=c(),bo=t("th"),mr=t("strong"),na=n("Params (M)"),la=c(),wo=t("th"),fr=t("strong"),ia=n("ImageNet-1k Top 1"),ca=c(),I=t("tbody"),x=t("tr"),$o=t("td"),da=n("s12"),ma=c(),pr=t("td"),fa=n("[2, 2, 6, 2]"),pa=c(),hr=t("td"),ha=n("[64, 128, 320, 512]"),ga=c(),Fo=t("td"),ua=n("12"),_a=c(),yo=t("td"),va=n("77.2"),Pa=c(),C=t("tr"),To=t("td"),ba=n("s24"),wa=c(),gr=t("td"),$a=n("[4, 4, 12, 4]"),Fa=c(),ur=t("td"),ya=n("[64, 128, 320, 512]"),Ta=c(),Eo=t("td"),Ea=n("21"),Ia=c(),Io=t("td"),xa=n("80.3"),Ca=c(),k=t("tr"),xo=t("td"),ka=n("s36"),za=c(),_r=t("td"),Aa=n("[6, 6, 18, 6]"),Ma=c(),vr=t("td"),ja=n("[64, 128, 320, 512]"),Da=c(),Co=t("td"),Na=n("31"),qa=c(),ko=t("td"),La=n("81.4"),Sa=c(),z=t("tr"),zo=t("td"),Ra=n("m36"),Oa=c(),Pr=t("td"),Ha=n("[6, 6, 18, 6]"),Ba=c(),br=t("td"),Ua=n("[96, 192, 384, 768]"),Wa=c(),Ao=t("td"),Va=n("56"),Ga=c(),Mo=t("td"),Ya=n("82.1"),Ja=c(),A=t("tr"),jo=t("td"),Ka=n("m48"),Xa=c(),wr=t("td"),Qa=n("[8, 8, 24, 8]"),Za=c(),$r=t("td"),es=n("[96, 192, 384, 768]"),os=c(),Do=t("td"),rs=n("73"),ts=c(),No=t("td"),as=n("82.5"),Zr=c(),H=t("p"),ss=n("This model was contributed by "),Re=t("a"),ns=n("heytanay"),ls=n(". The original code can be found "),Oe=t("a"),is=n("here"),cs=n("."),et=c(),Q=t("h2"),he=t("a"),Fr=t("span"),P(He.$$.fragment),ds=c(),yr=t("span"),ms=n("Resources"),ot=c(),qo=t("p"),fs=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with PoolFormer."),rt=c(),P(Be.$$.fragment),tt=c(),ge=t("ul"),B=t("li"),Lo=t("a"),ps=n("PoolFormerForImageClassification"),hs=n(" is supported by this "),Ue=t("a"),gs=n("example script"),us=n(" and "),We=t("a"),_s=n("notebook"),vs=n("."),Ps=c(),So=t("li"),bs=n("See also: "),Ro=t("a"),ws=n("Image classification task guide"),at=c(),Oo=t("p"),$s=n("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),st=c(),Z=t("h2"),ue=t("a"),Tr=t("span"),P(Ve.$$.fragment),Fs=c(),Er=t("span"),ys=n("PoolFormerConfig"),nt=c(),M=t("div"),P(Ge.$$.fragment),Ts=c(),ee=t("p"),Es=n("This is the configuration class to store the configuration of "),Ho=t("a"),Is=n("PoolFormerModel"),xs=n(`. It is used to instantiate a
PoolFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the PoolFormer
`),Ye=t("a"),Cs=n("sail/poolformer_s12"),ks=n(" architecture."),zs=c(),oe=t("p"),As=n("Configuration objects inherit from "),Bo=t("a"),Ms=n("PretrainedConfig"),js=n(` and can be used to control the model outputs. Read the
documentation from `),Uo=t("a"),Ds=n("PretrainedConfig"),Ns=n(" for more information."),qs=c(),P(_e.$$.fragment),lt=c(),re=t("h2"),ve=t("a"),Ir=t("span"),P(Je.$$.fragment),Ls=c(),xr=t("span"),Ss=n("PoolFormerFeatureExtractor"),it=c(),te=t("div"),P(Ke.$$.fragment),Rs=c(),Pe=t("div"),P(Xe.$$.fragment),Os=c(),Cr=t("p"),Hs=n("Preprocess an image or a batch of images."),ct=c(),ae=t("h2"),be=t("a"),kr=t("span"),P(Qe.$$.fragment),Bs=c(),zr=t("span"),Us=n("PoolFormerImageProcessor"),dt=c(),S=t("div"),P(Ze.$$.fragment),Ws=c(),Ar=t("p"),Vs=n("Constructs a PoolFormer image processor."),Gs=c(),we=t("div"),P(eo.$$.fragment),Ys=c(),Mr=t("p"),Js=n("Preprocess an image or batch of images."),mt=c(),se=t("h2"),$e=t("a"),jr=t("span"),P(oo.$$.fragment),Ks=c(),Dr=t("span"),Xs=n("PoolFormerModel"),ft=c(),R=t("div"),P(ro.$$.fragment),Qs=c(),to=t("p"),Zs=n(`The bare PoolFormer Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),ao=t("a"),en=n("torch.nn.Module"),on=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),rn=c(),N=t("div"),P(so.$$.fragment),tn=c(),ne=t("p"),an=n("The "),Wo=t("a"),sn=n("PoolFormerModel"),nn=n(" forward method, overrides the "),Nr=t("code"),ln=n("__call__"),cn=n(" special method."),dn=c(),P(Fe.$$.fragment),mn=c(),P(ye.$$.fragment),pt=c(),le=t("h2"),Te=t("a"),qr=t("span"),P(no.$$.fragment),fn=c(),Lr=t("span"),pn=n("PoolFormerForImageClassification"),ht=c(),j=t("div"),P(lo.$$.fragment),hn=c(),Sr=t("p"),gn=n("PoolFormer Model transformer with an image classification head on top"),un=c(),io=t("p"),_n=n("This model is a PyTorch "),co=t("a"),vn=n("torch.nn.Module"),Pn=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),bn=c(),q=t("div"),P(mo.$$.fragment),wn=c(),ie=t("p"),$n=n("The "),Vo=t("a"),Fn=n("PoolFormerForImageClassification"),yn=n(" forward method, overrides the "),Rr=t("code"),Tn=n("__call__"),En=n(" special method."),In=c(),P(Ee.$$.fragment),xn=c(),P(Ie.$$.fragment),this.h()},l(o){const f=vi('[data-svelte="svelte-1phssyn"]',document.head);h=a(f,"META",{name:!0,content:!0}),f.forEach(r),T=d(o),_=a(o,"H1",{class:!0});var fo=s(_);g=a(fo,"A",{id:!0,class:!0,href:!0});var Or=s(g);v=a(Or,"SPAN",{});var Hr=s(v);b(m.$$.fragment,Hr),Hr.forEach(r),Or.forEach(r),u=d(fo),L=a(fo,"SPAN",{});var Br=s(L);Mt=l(Br,"PoolFormer"),Br.forEach(r),fo.forEach(r),Ur=d(o),X=a(o,"H2",{class:!0});var po=s(X);de=a(po,"A",{id:!0,class:!0,href:!0});var jn=s(de);or=a(jn,"SPAN",{});var Dn=s(or);b(Me.$$.fragment,Dn),Dn.forEach(r),jn.forEach(r),jt=d(po),rr=a(po,"SPAN",{});var Nn=s(rr);Dt=l(Nn,"Overview"),Nn.forEach(r),po.forEach(r),Wr=d(o),me=a(o,"P",{});var ut=s(me);Nt=l(ut,"The PoolFormer model was proposed in "),je=a(ut,"A",{href:!0,rel:!0});var qn=s(je);qt=l(qn,"MetaFormer is Actually What You Need for Vision"),qn.forEach(r),Lt=l(ut,"  by Sea AI Labs. Instead of designing complicated token mixer to achieve SOTA performance, the target of this work is to demonstrate the competence of transformer models largely stem from the general architecture MetaFormer."),ut.forEach(r),Vr=d(o),go=a(o,"P",{});var Ln=s(go);St=l(Ln,"The abstract from the paper is the following:"),Ln.forEach(r),Gr=d(o),uo=a(o,"P",{});var Sn=s(uo);tr=a(Sn,"EM",{});var Rn=s(tr);Rt=l(Rn,"Transformers have shown great potential in computer vision tasks. A common belief is their attention-based token mixer module contributes most to their competence. However, recent works show the attention-based module in transformers can be replaced by spatial MLPs and the resulted models still perform quite well. Based on this observation, we hypothesize that the general architecture of the transformers, instead of the specific token mixer module, is more essential to the model\u2019s performance. To verify this, we deliberately replace the attention module in transformers with an embarrassingly simple spatial pooling operator to conduct only the most basic token mixing. Surprisingly, we observe that the derived model, termed as PoolFormer, achieves competitive performance on multiple computer vision tasks. For example, on ImageNet-1K, PoolFormer achieves 82.1% top-1 accuracy, surpassing well-tuned vision transformer/MLP-like baselines DeiT-B/ResMLP-B24 by 0.3%/1.1% accuracy with 35%/52% fewer parameters and 48%/60% fewer MACs. The effectiveness of PoolFormer verifies our hypothesis and urges us to initiate the concept of \u201CMetaFormer\u201D, a general architecture abstracted from transformers without specifying the token mixer. Based on the extensive experiments, we argue that MetaFormer is the key player in achieving superior results for recent transformer and MLP-like models on vision tasks. This work calls for more future research dedicated to improving MetaFormer instead of focusing on the token mixer modules. Additionally, our proposed PoolFormer could serve as a starting baseline for future MetaFormer architecture design."),Rn.forEach(r),Sn.forEach(r),Yr=d(o),fe=a(o,"P",{});var _t=s(fe);Ot=l(_t,"The figure below illustrates the architecture of PoolFormer. Taken from the "),De=a(_t,"A",{href:!0,rel:!0});var On=s(De);Ht=l(On,"original paper"),On.forEach(r),Bt=l(_t,"."),_t.forEach(r),Jr=d(o),Ne=a(o,"IMG",{width:!0,src:!0}),Kr=d(o),_o=a(o,"P",{});var Hn=s(_o);Ut=l(Hn,"Tips:"),Hn.forEach(r),Xr=d(o),O=a(o,"UL",{});var Go=s(O);qe=a(Go,"LI",{});var vt=s(qe);Wt=l(vt,"PoolFormer has a hierarchical architecture, where instead of Attention, a simple Average Pooling layer is present. All checkpoints of the model can be found on the "),Le=a(vt,"A",{href:!0,rel:!0});var Bn=s(Le);Vt=l(Bn,"hub"),Bn.forEach(r),Gt=l(vt,"."),vt.forEach(r),Yt=d(Go),Se=a(Go,"LI",{});var Pt=s(Se);Jt=l(Pt,"One can use "),vo=a(Pt,"A",{href:!0});var Un=s(vo);Kt=l(Un,"PoolFormerImageProcessor"),Un.forEach(r),Xt=l(Pt," to prepare images for the model."),Pt.forEach(r),Qt=d(Go),ar=a(Go,"LI",{});var Wn=s(ar);Zt=l(Wn,"As most models, PoolFormer comes in different sizes, the details of which can be found in the table below."),Wn.forEach(r),Go.forEach(r),Qr=d(o),pe=a(o,"TABLE",{});var bt=s(pe);sr=a(bt,"THEAD",{});var Vn=s(sr);E=a(Vn,"TR",{});var U=s(E);Po=a(U,"TH",{align:!0});var Gn=s(Po);nr=a(Gn,"STRONG",{});var Yn=s(nr);ea=l(Yn,"Model variant"),Yn.forEach(r),Gn.forEach(r),oa=d(U),lr=a(U,"TH",{});var Jn=s(lr);ir=a(Jn,"STRONG",{});var Kn=s(ir);ra=l(Kn,"Depths"),Kn.forEach(r),Jn.forEach(r),ta=d(U),cr=a(U,"TH",{});var Xn=s(cr);dr=a(Xn,"STRONG",{});var Qn=s(dr);aa=l(Qn,"Hidden sizes"),Qn.forEach(r),Xn.forEach(r),sa=d(U),bo=a(U,"TH",{align:!0});var Zn=s(bo);mr=a(Zn,"STRONG",{});var el=s(mr);na=l(el,"Params (M)"),el.forEach(r),Zn.forEach(r),la=d(U),wo=a(U,"TH",{align:!0});var ol=s(wo);fr=a(ol,"STRONG",{});var rl=s(fr);ia=l(rl,"ImageNet-1k Top 1"),rl.forEach(r),ol.forEach(r),U.forEach(r),Vn.forEach(r),ca=d(bt),I=a(bt,"TBODY",{});var W=s(I);x=a(W,"TR",{});var V=s(x);$o=a(V,"TD",{align:!0});var tl=s($o);da=l(tl,"s12"),tl.forEach(r),ma=d(V),pr=a(V,"TD",{});var al=s(pr);fa=l(al,"[2, 2, 6, 2]"),al.forEach(r),pa=d(V),hr=a(V,"TD",{});var sl=s(hr);ha=l(sl,"[64, 128, 320, 512]"),sl.forEach(r),ga=d(V),Fo=a(V,"TD",{align:!0});var nl=s(Fo);ua=l(nl,"12"),nl.forEach(r),_a=d(V),yo=a(V,"TD",{align:!0});var ll=s(yo);va=l(ll,"77.2"),ll.forEach(r),V.forEach(r),Pa=d(W),C=a(W,"TR",{});var G=s(C);To=a(G,"TD",{align:!0});var il=s(To);ba=l(il,"s24"),il.forEach(r),wa=d(G),gr=a(G,"TD",{});var cl=s(gr);$a=l(cl,"[4, 4, 12, 4]"),cl.forEach(r),Fa=d(G),ur=a(G,"TD",{});var dl=s(ur);ya=l(dl,"[64, 128, 320, 512]"),dl.forEach(r),Ta=d(G),Eo=a(G,"TD",{align:!0});var ml=s(Eo);Ea=l(ml,"21"),ml.forEach(r),Ia=d(G),Io=a(G,"TD",{align:!0});var fl=s(Io);xa=l(fl,"80.3"),fl.forEach(r),G.forEach(r),Ca=d(W),k=a(W,"TR",{});var Y=s(k);xo=a(Y,"TD",{align:!0});var pl=s(xo);ka=l(pl,"s36"),pl.forEach(r),za=d(Y),_r=a(Y,"TD",{});var hl=s(_r);Aa=l(hl,"[6, 6, 18, 6]"),hl.forEach(r),Ma=d(Y),vr=a(Y,"TD",{});var gl=s(vr);ja=l(gl,"[64, 128, 320, 512]"),gl.forEach(r),Da=d(Y),Co=a(Y,"TD",{align:!0});var ul=s(Co);Na=l(ul,"31"),ul.forEach(r),qa=d(Y),ko=a(Y,"TD",{align:!0});var _l=s(ko);La=l(_l,"81.4"),_l.forEach(r),Y.forEach(r),Sa=d(W),z=a(W,"TR",{});var J=s(z);zo=a(J,"TD",{align:!0});var vl=s(zo);Ra=l(vl,"m36"),vl.forEach(r),Oa=d(J),Pr=a(J,"TD",{});var Pl=s(Pr);Ha=l(Pl,"[6, 6, 18, 6]"),Pl.forEach(r),Ba=d(J),br=a(J,"TD",{});var bl=s(br);Ua=l(bl,"[96, 192, 384, 768]"),bl.forEach(r),Wa=d(J),Ao=a(J,"TD",{align:!0});var wl=s(Ao);Va=l(wl,"56"),wl.forEach(r),Ga=d(J),Mo=a(J,"TD",{align:!0});var $l=s(Mo);Ya=l($l,"82.1"),$l.forEach(r),J.forEach(r),Ja=d(W),A=a(W,"TR",{});var K=s(A);jo=a(K,"TD",{align:!0});var Fl=s(jo);Ka=l(Fl,"m48"),Fl.forEach(r),Xa=d(K),wr=a(K,"TD",{});var yl=s(wr);Qa=l(yl,"[8, 8, 24, 8]"),yl.forEach(r),Za=d(K),$r=a(K,"TD",{});var Tl=s($r);es=l(Tl,"[96, 192, 384, 768]"),Tl.forEach(r),os=d(K),Do=a(K,"TD",{align:!0});var El=s(Do);rs=l(El,"73"),El.forEach(r),ts=d(K),No=a(K,"TD",{align:!0});var Il=s(No);as=l(Il,"82.5"),Il.forEach(r),K.forEach(r),W.forEach(r),bt.forEach(r),Zr=d(o),H=a(o,"P",{});var Yo=s(H);ss=l(Yo,"This model was contributed by "),Re=a(Yo,"A",{href:!0,rel:!0});var xl=s(Re);ns=l(xl,"heytanay"),xl.forEach(r),ls=l(Yo,". The original code can be found "),Oe=a(Yo,"A",{href:!0,rel:!0});var Cl=s(Oe);is=l(Cl,"here"),Cl.forEach(r),cs=l(Yo,"."),Yo.forEach(r),et=d(o),Q=a(o,"H2",{class:!0});var wt=s(Q);he=a(wt,"A",{id:!0,class:!0,href:!0});var kl=s(he);Fr=a(kl,"SPAN",{});var zl=s(Fr);b(He.$$.fragment,zl),zl.forEach(r),kl.forEach(r),ds=d(wt),yr=a(wt,"SPAN",{});var Al=s(yr);ms=l(Al,"Resources"),Al.forEach(r),wt.forEach(r),ot=d(o),qo=a(o,"P",{});var Ml=s(qo);fs=l(Ml,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with PoolFormer."),Ml.forEach(r),rt=d(o),b(Be.$$.fragment,o),tt=d(o),ge=a(o,"UL",{});var $t=s(ge);B=a($t,"LI",{});var ho=s(B);Lo=a(ho,"A",{href:!0});var jl=s(Lo);ps=l(jl,"PoolFormerForImageClassification"),jl.forEach(r),hs=l(ho," is supported by this "),Ue=a(ho,"A",{href:!0,rel:!0});var Dl=s(Ue);gs=l(Dl,"example script"),Dl.forEach(r),us=l(ho," and "),We=a(ho,"A",{href:!0,rel:!0});var Nl=s(We);_s=l(Nl,"notebook"),Nl.forEach(r),vs=l(ho,"."),ho.forEach(r),Ps=d($t),So=a($t,"LI",{});var Cn=s(So);bs=l(Cn,"See also: "),Ro=a(Cn,"A",{href:!0});var ql=s(Ro);ws=l(ql,"Image classification task guide"),ql.forEach(r),Cn.forEach(r),$t.forEach(r),at=d(o),Oo=a(o,"P",{});var Ll=s(Oo);$s=l(Ll,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ll.forEach(r),st=d(o),Z=a(o,"H2",{class:!0});var Ft=s(Z);ue=a(Ft,"A",{id:!0,class:!0,href:!0});var Sl=s(ue);Tr=a(Sl,"SPAN",{});var Rl=s(Tr);b(Ve.$$.fragment,Rl),Rl.forEach(r),Sl.forEach(r),Fs=d(Ft),Er=a(Ft,"SPAN",{});var Ol=s(Er);ys=l(Ol,"PoolFormerConfig"),Ol.forEach(r),Ft.forEach(r),nt=d(o),M=a(o,"DIV",{class:!0});var xe=s(M);b(Ge.$$.fragment,xe),Ts=d(xe),ee=a(xe,"P",{});var Jo=s(ee);Es=l(Jo,"This is the configuration class to store the configuration of "),Ho=a(Jo,"A",{href:!0});var Hl=s(Ho);Is=l(Hl,"PoolFormerModel"),Hl.forEach(r),xs=l(Jo,`. It is used to instantiate a
PoolFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the PoolFormer
`),Ye=a(Jo,"A",{href:!0,rel:!0});var Bl=s(Ye);Cs=l(Bl,"sail/poolformer_s12"),Bl.forEach(r),ks=l(Jo," architecture."),Jo.forEach(r),zs=d(xe),oe=a(xe,"P",{});var Ko=s(oe);As=l(Ko,"Configuration objects inherit from "),Bo=a(Ko,"A",{href:!0});var Ul=s(Bo);Ms=l(Ul,"PretrainedConfig"),Ul.forEach(r),js=l(Ko,` and can be used to control the model outputs. Read the
documentation from `),Uo=a(Ko,"A",{href:!0});var Wl=s(Uo);Ds=l(Wl,"PretrainedConfig"),Wl.forEach(r),Ns=l(Ko," for more information."),Ko.forEach(r),qs=d(xe),b(_e.$$.fragment,xe),xe.forEach(r),lt=d(o),re=a(o,"H2",{class:!0});var yt=s(re);ve=a(yt,"A",{id:!0,class:!0,href:!0});var Vl=s(ve);Ir=a(Vl,"SPAN",{});var Gl=s(Ir);b(Je.$$.fragment,Gl),Gl.forEach(r),Vl.forEach(r),Ls=d(yt),xr=a(yt,"SPAN",{});var Yl=s(xr);Ss=l(Yl,"PoolFormerFeatureExtractor"),Yl.forEach(r),yt.forEach(r),it=d(o),te=a(o,"DIV",{class:!0});var Tt=s(te);b(Ke.$$.fragment,Tt),Rs=d(Tt),Pe=a(Tt,"DIV",{class:!0});var Et=s(Pe);b(Xe.$$.fragment,Et),Os=d(Et),Cr=a(Et,"P",{});var Jl=s(Cr);Hs=l(Jl,"Preprocess an image or a batch of images."),Jl.forEach(r),Et.forEach(r),Tt.forEach(r),ct=d(o),ae=a(o,"H2",{class:!0});var It=s(ae);be=a(It,"A",{id:!0,class:!0,href:!0});var Kl=s(be);kr=a(Kl,"SPAN",{});var Xl=s(kr);b(Qe.$$.fragment,Xl),Xl.forEach(r),Kl.forEach(r),Bs=d(It),zr=a(It,"SPAN",{});var Ql=s(zr);Us=l(Ql,"PoolFormerImageProcessor"),Ql.forEach(r),It.forEach(r),dt=d(o),S=a(o,"DIV",{class:!0});var Xo=s(S);b(Ze.$$.fragment,Xo),Ws=d(Xo),Ar=a(Xo,"P",{});var Zl=s(Ar);Vs=l(Zl,"Constructs a PoolFormer image processor."),Zl.forEach(r),Gs=d(Xo),we=a(Xo,"DIV",{class:!0});var xt=s(we);b(eo.$$.fragment,xt),Ys=d(xt),Mr=a(xt,"P",{});var ei=s(Mr);Js=l(ei,"Preprocess an image or batch of images."),ei.forEach(r),xt.forEach(r),Xo.forEach(r),mt=d(o),se=a(o,"H2",{class:!0});var Ct=s(se);$e=a(Ct,"A",{id:!0,class:!0,href:!0});var oi=s($e);jr=a(oi,"SPAN",{});var ri=s(jr);b(oo.$$.fragment,ri),ri.forEach(r),oi.forEach(r),Ks=d(Ct),Dr=a(Ct,"SPAN",{});var ti=s(Dr);Xs=l(ti,"PoolFormerModel"),ti.forEach(r),Ct.forEach(r),ft=d(o),R=a(o,"DIV",{class:!0});var Qo=s(R);b(ro.$$.fragment,Qo),Qs=d(Qo),to=a(Qo,"P",{});var kt=s(to);Zs=l(kt,`The bare PoolFormer Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),ao=a(kt,"A",{href:!0,rel:!0});var ai=s(ao);en=l(ai,"torch.nn.Module"),ai.forEach(r),on=l(kt,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),kt.forEach(r),rn=d(Qo),N=a(Qo,"DIV",{class:!0});var Ce=s(N);b(so.$$.fragment,Ce),tn=d(Ce),ne=a(Ce,"P",{});var Zo=s(ne);an=l(Zo,"The "),Wo=a(Zo,"A",{href:!0});var si=s(Wo);sn=l(si,"PoolFormerModel"),si.forEach(r),nn=l(Zo," forward method, overrides the "),Nr=a(Zo,"CODE",{});var ni=s(Nr);ln=l(ni,"__call__"),ni.forEach(r),cn=l(Zo," special method."),Zo.forEach(r),dn=d(Ce),b(Fe.$$.fragment,Ce),mn=d(Ce),b(ye.$$.fragment,Ce),Ce.forEach(r),Qo.forEach(r),pt=d(o),le=a(o,"H2",{class:!0});var zt=s(le);Te=a(zt,"A",{id:!0,class:!0,href:!0});var li=s(Te);qr=a(li,"SPAN",{});var ii=s(qr);b(no.$$.fragment,ii),ii.forEach(r),li.forEach(r),fn=d(zt),Lr=a(zt,"SPAN",{});var ci=s(Lr);pn=l(ci,"PoolFormerForImageClassification"),ci.forEach(r),zt.forEach(r),ht=d(o),j=a(o,"DIV",{class:!0});var ke=s(j);b(lo.$$.fragment,ke),hn=d(ke),Sr=a(ke,"P",{});var di=s(Sr);gn=l(di,"PoolFormer Model transformer with an image classification head on top"),di.forEach(r),un=d(ke),io=a(ke,"P",{});var At=s(io);_n=l(At,"This model is a PyTorch "),co=a(At,"A",{href:!0,rel:!0});var mi=s(co);vn=l(mi,"torch.nn.Module"),mi.forEach(r),Pn=l(At,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),At.forEach(r),bn=d(ke),q=a(ke,"DIV",{class:!0});var ze=s(q);b(mo.$$.fragment,ze),wn=d(ze),ie=a(ze,"P",{});var er=s(ie);$n=l(er,"The "),Vo=a(er,"A",{href:!0});var fi=s(Vo);Fn=l(fi,"PoolFormerForImageClassification"),fi.forEach(r),yn=l(er," forward method, overrides the "),Rr=a(er,"CODE",{});var pi=s(Rr);Tn=l(pi,"__call__"),pi.forEach(r),En=l(er," special method."),er.forEach(r),In=d(ze),b(Ee.$$.fragment,ze),xn=d(ze),b(Ie.$$.fragment,ze),ze.forEach(r),ke.forEach(r),this.h()},h(){i(h,"name","hf:doc:metadata"),i(h,"content",JSON.stringify(xi)),i(g,"id","poolformer"),i(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(g,"href","#poolformer"),i(_,"class","relative group"),i(de,"id","overview"),i(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(de,"href","#overview"),i(X,"class","relative group"),i(je,"href","https://arxiv.org/abs/2111.11418"),i(je,"rel","nofollow"),i(De,"href","https://arxiv.org/abs/2111.11418"),i(De,"rel","nofollow"),i(Ne,"width","600"),Pi(Ne.src,Mn="https://user-images.githubusercontent.com/15921929/142746124-1ab7635d-2536-4a0e-ad43-b4fe2c5a525d.png")||i(Ne,"src",Mn),i(Le,"href","https://huggingface.co/models?other=poolformer"),i(Le,"rel","nofollow"),i(vo,"href","/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerImageProcessor"),i(Po,"align","center"),i(bo,"align","center"),i(wo,"align","center"),i($o,"align","center"),i(Fo,"align","center"),i(yo,"align","center"),i(To,"align","center"),i(Eo,"align","center"),i(Io,"align","center"),i(xo,"align","center"),i(Co,"align","center"),i(ko,"align","center"),i(zo,"align","center"),i(Ao,"align","center"),i(Mo,"align","center"),i(jo,"align","center"),i(Do,"align","center"),i(No,"align","center"),i(Re,"href","https://huggingface.co/heytanay"),i(Re,"rel","nofollow"),i(Oe,"href","https://github.com/sail-sg/poolformer"),i(Oe,"rel","nofollow"),i(he,"id","resources"),i(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(he,"href","#resources"),i(Q,"class","relative group"),i(Lo,"href","/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerForImageClassification"),i(Ue,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),i(Ue,"rel","nofollow"),i(We,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),i(We,"rel","nofollow"),i(Ro,"href","../tasks/image_classification"),i(ue,"id","transformers.PoolFormerConfig"),i(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(ue,"href","#transformers.PoolFormerConfig"),i(Z,"class","relative group"),i(Ho,"href","/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerModel"),i(Ye,"href","https://huggingface.co/sail/poolformer_s12"),i(Ye,"rel","nofollow"),i(Bo,"href","/docs/transformers/pr_21499/en/main_classes/configuration#transformers.PretrainedConfig"),i(Uo,"href","/docs/transformers/pr_21499/en/main_classes/configuration#transformers.PretrainedConfig"),i(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(ve,"id","transformers.PoolFormerFeatureExtractor"),i(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(ve,"href","#transformers.PoolFormerFeatureExtractor"),i(re,"class","relative group"),i(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(be,"id","transformers.PoolFormerImageProcessor"),i(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(be,"href","#transformers.PoolFormerImageProcessor"),i(ae,"class","relative group"),i(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i($e,"id","transformers.PoolFormerModel"),i($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i($e,"href","#transformers.PoolFormerModel"),i(se,"class","relative group"),i(ao,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),i(ao,"rel","nofollow"),i(Wo,"href","/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerModel"),i(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(Te,"id","transformers.PoolFormerForImageClassification"),i(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(Te,"href","#transformers.PoolFormerForImageClassification"),i(le,"class","relative group"),i(co,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),i(co,"rel","nofollow"),i(Vo,"href","/docs/transformers/pr_21499/en/model_doc/poolformer#transformers.PoolFormerForImageClassification"),i(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,f){e(document.head,h),p(o,T,f),p(o,_,f),e(_,g),e(g,v),w(m,v,null),e(_,u),e(_,L),e(L,Mt),p(o,Ur,f),p(o,X,f),e(X,de),e(de,or),w(Me,or,null),e(X,jt),e(X,rr),e(rr,Dt),p(o,Wr,f),p(o,me,f),e(me,Nt),e(me,je),e(je,qt),e(me,Lt),p(o,Vr,f),p(o,go,f),e(go,St),p(o,Gr,f),p(o,uo,f),e(uo,tr),e(tr,Rt),p(o,Yr,f),p(o,fe,f),e(fe,Ot),e(fe,De),e(De,Ht),e(fe,Bt),p(o,Jr,f),p(o,Ne,f),p(o,Kr,f),p(o,_o,f),e(_o,Ut),p(o,Xr,f),p(o,O,f),e(O,qe),e(qe,Wt),e(qe,Le),e(Le,Vt),e(qe,Gt),e(O,Yt),e(O,Se),e(Se,Jt),e(Se,vo),e(vo,Kt),e(Se,Xt),e(O,Qt),e(O,ar),e(ar,Zt),p(o,Qr,f),p(o,pe,f),e(pe,sr),e(sr,E),e(E,Po),e(Po,nr),e(nr,ea),e(E,oa),e(E,lr),e(lr,ir),e(ir,ra),e(E,ta),e(E,cr),e(cr,dr),e(dr,aa),e(E,sa),e(E,bo),e(bo,mr),e(mr,na),e(E,la),e(E,wo),e(wo,fr),e(fr,ia),e(pe,ca),e(pe,I),e(I,x),e(x,$o),e($o,da),e(x,ma),e(x,pr),e(pr,fa),e(x,pa),e(x,hr),e(hr,ha),e(x,ga),e(x,Fo),e(Fo,ua),e(x,_a),e(x,yo),e(yo,va),e(I,Pa),e(I,C),e(C,To),e(To,ba),e(C,wa),e(C,gr),e(gr,$a),e(C,Fa),e(C,ur),e(ur,ya),e(C,Ta),e(C,Eo),e(Eo,Ea),e(C,Ia),e(C,Io),e(Io,xa),e(I,Ca),e(I,k),e(k,xo),e(xo,ka),e(k,za),e(k,_r),e(_r,Aa),e(k,Ma),e(k,vr),e(vr,ja),e(k,Da),e(k,Co),e(Co,Na),e(k,qa),e(k,ko),e(ko,La),e(I,Sa),e(I,z),e(z,zo),e(zo,Ra),e(z,Oa),e(z,Pr),e(Pr,Ha),e(z,Ba),e(z,br),e(br,Ua),e(z,Wa),e(z,Ao),e(Ao,Va),e(z,Ga),e(z,Mo),e(Mo,Ya),e(I,Ja),e(I,A),e(A,jo),e(jo,Ka),e(A,Xa),e(A,wr),e(wr,Qa),e(A,Za),e(A,$r),e($r,es),e(A,os),e(A,Do),e(Do,rs),e(A,ts),e(A,No),e(No,as),p(o,Zr,f),p(o,H,f),e(H,ss),e(H,Re),e(Re,ns),e(H,ls),e(H,Oe),e(Oe,is),e(H,cs),p(o,et,f),p(o,Q,f),e(Q,he),e(he,Fr),w(He,Fr,null),e(Q,ds),e(Q,yr),e(yr,ms),p(o,ot,f),p(o,qo,f),e(qo,fs),p(o,rt,f),w(Be,o,f),p(o,tt,f),p(o,ge,f),e(ge,B),e(B,Lo),e(Lo,ps),e(B,hs),e(B,Ue),e(Ue,gs),e(B,us),e(B,We),e(We,_s),e(B,vs),e(ge,Ps),e(ge,So),e(So,bs),e(So,Ro),e(Ro,ws),p(o,at,f),p(o,Oo,f),e(Oo,$s),p(o,st,f),p(o,Z,f),e(Z,ue),e(ue,Tr),w(Ve,Tr,null),e(Z,Fs),e(Z,Er),e(Er,ys),p(o,nt,f),p(o,M,f),w(Ge,M,null),e(M,Ts),e(M,ee),e(ee,Es),e(ee,Ho),e(Ho,Is),e(ee,xs),e(ee,Ye),e(Ye,Cs),e(ee,ks),e(M,zs),e(M,oe),e(oe,As),e(oe,Bo),e(Bo,Ms),e(oe,js),e(oe,Uo),e(Uo,Ds),e(oe,Ns),e(M,qs),w(_e,M,null),p(o,lt,f),p(o,re,f),e(re,ve),e(ve,Ir),w(Je,Ir,null),e(re,Ls),e(re,xr),e(xr,Ss),p(o,it,f),p(o,te,f),w(Ke,te,null),e(te,Rs),e(te,Pe),w(Xe,Pe,null),e(Pe,Os),e(Pe,Cr),e(Cr,Hs),p(o,ct,f),p(o,ae,f),e(ae,be),e(be,kr),w(Qe,kr,null),e(ae,Bs),e(ae,zr),e(zr,Us),p(o,dt,f),p(o,S,f),w(Ze,S,null),e(S,Ws),e(S,Ar),e(Ar,Vs),e(S,Gs),e(S,we),w(eo,we,null),e(we,Ys),e(we,Mr),e(Mr,Js),p(o,mt,f),p(o,se,f),e(se,$e),e($e,jr),w(oo,jr,null),e(se,Ks),e(se,Dr),e(Dr,Xs),p(o,ft,f),p(o,R,f),w(ro,R,null),e(R,Qs),e(R,to),e(to,Zs),e(to,ao),e(ao,en),e(to,on),e(R,rn),e(R,N),w(so,N,null),e(N,tn),e(N,ne),e(ne,an),e(ne,Wo),e(Wo,sn),e(ne,nn),e(ne,Nr),e(Nr,ln),e(ne,cn),e(N,dn),w(Fe,N,null),e(N,mn),w(ye,N,null),p(o,pt,f),p(o,le,f),e(le,Te),e(Te,qr),w(no,qr,null),e(le,fn),e(le,Lr),e(Lr,pn),p(o,ht,f),p(o,j,f),w(lo,j,null),e(j,hn),e(j,Sr),e(Sr,gn),e(j,un),e(j,io),e(io,_n),e(io,co),e(co,vn),e(io,Pn),e(j,bn),e(j,q),w(mo,q,null),e(q,wn),e(q,ie),e(ie,$n),e(ie,Vo),e(Vo,Fn),e(ie,yn),e(ie,Rr),e(Rr,Tn),e(ie,En),e(q,In),w(Ee,q,null),e(q,xn),w(Ie,q,null),gt=!0},p(o,[f]){const fo={};f&2&&(fo.$$scope={dirty:f,ctx:o}),_e.$set(fo);const Or={};f&2&&(Or.$$scope={dirty:f,ctx:o}),Fe.$set(Or);const Hr={};f&2&&(Hr.$$scope={dirty:f,ctx:o}),ye.$set(Hr);const Br={};f&2&&(Br.$$scope={dirty:f,ctx:o}),Ee.$set(Br);const po={};f&2&&(po.$$scope={dirty:f,ctx:o}),Ie.$set(po)},i(o){gt||($(m.$$.fragment,o),$(Me.$$.fragment,o),$(He.$$.fragment,o),$(Be.$$.fragment,o),$(Ve.$$.fragment,o),$(Ge.$$.fragment,o),$(_e.$$.fragment,o),$(Je.$$.fragment,o),$(Ke.$$.fragment,o),$(Xe.$$.fragment,o),$(Qe.$$.fragment,o),$(Ze.$$.fragment,o),$(eo.$$.fragment,o),$(oo.$$.fragment,o),$(ro.$$.fragment,o),$(so.$$.fragment,o),$(Fe.$$.fragment,o),$(ye.$$.fragment,o),$(no.$$.fragment,o),$(lo.$$.fragment,o),$(mo.$$.fragment,o),$(Ee.$$.fragment,o),$(Ie.$$.fragment,o),gt=!0)},o(o){F(m.$$.fragment,o),F(Me.$$.fragment,o),F(He.$$.fragment,o),F(Be.$$.fragment,o),F(Ve.$$.fragment,o),F(Ge.$$.fragment,o),F(_e.$$.fragment,o),F(Je.$$.fragment,o),F(Ke.$$.fragment,o),F(Xe.$$.fragment,o),F(Qe.$$.fragment,o),F(Ze.$$.fragment,o),F(eo.$$.fragment,o),F(oo.$$.fragment,o),F(ro.$$.fragment,o),F(so.$$.fragment,o),F(Fe.$$.fragment,o),F(ye.$$.fragment,o),F(no.$$.fragment,o),F(lo.$$.fragment,o),F(mo.$$.fragment,o),F(Ee.$$.fragment,o),F(Ie.$$.fragment,o),gt=!1},d(o){r(h),o&&r(T),o&&r(_),y(m),o&&r(Ur),o&&r(X),y(Me),o&&r(Wr),o&&r(me),o&&r(Vr),o&&r(go),o&&r(Gr),o&&r(uo),o&&r(Yr),o&&r(fe),o&&r(Jr),o&&r(Ne),o&&r(Kr),o&&r(_o),o&&r(Xr),o&&r(O),o&&r(Qr),o&&r(pe),o&&r(Zr),o&&r(H),o&&r(et),o&&r(Q),y(He),o&&r(ot),o&&r(qo),o&&r(rt),y(Be,o),o&&r(tt),o&&r(ge),o&&r(at),o&&r(Oo),o&&r(st),o&&r(Z),y(Ve),o&&r(nt),o&&r(M),y(Ge),y(_e),o&&r(lt),o&&r(re),y(Je),o&&r(it),o&&r(te),y(Ke),y(Xe),o&&r(ct),o&&r(ae),y(Qe),o&&r(dt),o&&r(S),y(Ze),y(eo),o&&r(mt),o&&r(se),y(oo),o&&r(ft),o&&r(R),y(ro),y(so),y(Fe),y(ye),o&&r(pt),o&&r(le),y(no),o&&r(ht),o&&r(j),y(lo),y(mo),y(Ee),y(Ie)}}}const xi={local:"poolformer",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.PoolFormerConfig",title:"PoolFormerConfig"},{local:"transformers.PoolFormerFeatureExtractor",title:"PoolFormerFeatureExtractor"},{local:"transformers.PoolFormerImageProcessor",title:"PoolFormerImageProcessor"},{local:"transformers.PoolFormerModel",title:"PoolFormerModel"},{local:"transformers.PoolFormerForImageClassification",title:"PoolFormerForImageClassification"}],title:"PoolFormer"};function Ci(D){return bi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class qi extends gi{constructor(h){super();ui(this,h,Ci,Ii,_i,{})}}export{qi as default,xi as metadata};
