import{S as td,i as rd,s as ad,e as r,k as m,w,t as s,M as nd,c as a,d as t,m as p,a as n,x as C,h as i,b as c,G as e,g as _,y,q as k,o as $,B as T,v as sd,L as pt}from"../../chunks/vendor-hf-doc-builder.js";import{T as Bt}from"../../chunks/Tip-hf-doc-builder.js";import{D as P}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ft}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as U}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as mt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function id(V){let d,b,g,h,v;return h=new ft({props:{code:`from transformers import Wav2Vec2ConformerConfig, Wav2Vec2ConformerModel

# Initializing a Wav2Vec2Conformer facebook/wav2vec2-conformer-rel-pos-large style configuration
configuration = Wav2Vec2ConformerConfig()

# Initializing a model (with random weights) from the facebook/wav2vec2-conformer-rel-pos-large style configuration
model = Wav2Vec2ConformerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2ConformerConfig, Wav2Vec2ConformerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Wav2Vec2Conformer facebook/wav2vec2-conformer-rel-pos-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Wav2Vec2ConformerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/wav2vec2-conformer-rel-pos-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function ld(V){let d,b,g,h,v;return{c(){d=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(f,"CODE",{});var W=n(g);h=i(W,"Module"),W.forEach(t),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,d,f),e(d,b),e(d,g),e(g,h),e(d,v)},d(l){l&&t(d)}}}function cd(V){let d,b,g,h,v;return h=new ft({props:{code:`from transformers import AutoProcessor, Wav2Vec2ConformerModel
import torch
from datasets import load_dataset

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = AutoProcessor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerModel.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, Wav2Vec2ConformerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerModel.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">292</span>, <span class="hljs-number">1024</span>]`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function dd(V){let d,b,g,h,v;return{c(){d=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(f,"CODE",{});var W=n(g);h=i(W,"Module"),W.forEach(t),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,d,f),e(d,b),e(d,g),e(g,h),e(d,v)},d(l){l&&t(d)}}}function md(V){let d,b,g,h,v;return h=new ft({props:{code:`from transformers import AutoProcessor, Wav2Vec2ConformerForCTC
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = AutoProcessor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerForCTC.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits
predicted_ids = torch.argmax(logits, dim=-1)

# transcribe speech
transcription = processor.batch_decode(predicted_ids)
transcription[0]

inputs["labels"] = processor(text=dataset[0]["text"], return_tensors="pt").input_ids

# compute loss
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, Wav2Vec2ConformerForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForCTC.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># transcribe speech</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(predicted_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;MISTER QUILTER IS THE APOSTLE OF THE MIDDLE CLASSES AND WE ARE GLAD TO WELCOME HIS GOSPEL&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = processor(text=dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;text&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">64.21</span>`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function pd(V){let d,b,g,h,v;return{c(){d=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(f,"CODE",{});var W=n(g);h=i(W,"Module"),W.forEach(t),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,d,f),e(d,b),e(d,g),e(g,h),e(d,v)},d(l){l&&t(d)}}}function fd(V){let d,b,g,h,v;return h=new ft({props:{code:`from transformers import AutoFeatureExtractor, Wav2Vec2ConformerForSequenceClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerForSequenceClassification.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]

# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, Wav2Vec2ConformerForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function hd(V){let d,b,g,h,v;return{c(){d=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(f,"CODE",{});var W=n(g);h=i(W,"Module"),W.forEach(t),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,d,f),e(d,b),e(d,g),e(g,h),e(d,v)},d(l){l&&t(d)}}}function ud(V){let d,b,g,h,v;return h=new ft({props:{code:`from transformers import AutoFeatureExtractor, Wav2Vec2ConformerForAudioFrameClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerForAudioFrameClassification.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], return_tensors="pt", sampling_rate=sampling_rate)
with torch.no_grad():
    logits = model(**inputs).logits

probabilities = torch.sigmoid(logits[0])
# labels is a one-hot array of shape (num_frames, num_speakers)
labels = (probabilities > 0.5).long()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, Wav2Vec2ConformerForAudioFrameClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForAudioFrameClassification.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, sampling_rate=sampling_rate)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>probabilities = torch.sigmoid(logits[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># labels is a one-hot array of shape (num_frames, num_speakers)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = (probabilities &gt; <span class="hljs-number">0.5</span>).long()`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function gd(V){let d,b,g,h,v;return{c(){d=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(f,"CODE",{});var W=n(g);h=i(W,"Module"),W.forEach(t),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,d,f),e(d,b),e(d,g),e(g,h),e(d,v)},d(l){l&&t(d)}}}function _d(V){let d,b,g,h,v;return h=new ft({props:{code:`from transformers import AutoFeatureExtractor, Wav2Vec2ConformerForXVector
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerForXVector.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = feature_extractor(
    [d["array"] for d in dataset[:2]["audio"]], sampling_rate=sampling_rate, return_tensors="pt", padding=True
)
with torch.no_grad():
    embeddings = model(**inputs).embeddings

embeddings = torch.nn.functional.normalize(embeddings, dim=-1).cpu()

# the resulting embeddings can be used for cosine similarity-based retrieval
cosine_sim = torch.nn.CosineSimilarity(dim=-1)
similarity = cosine_sim(embeddings[0], embeddings[1])
threshold = 0.7  # the optimal threshold is dataset-dependent
if similarity < threshold:
    print("Speakers are not the same!")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, Wav2Vec2ConformerForXVector
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForXVector.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(
<span class="hljs-meta">... </span>    [d[<span class="hljs-string">&quot;array&quot;</span>] <span class="hljs-keyword">for</span> d <span class="hljs-keyword">in</span> dataset[:<span class="hljs-number">2</span>][<span class="hljs-string">&quot;audio&quot;</span>]], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    embeddings = model(**inputs).embeddings

<span class="hljs-meta">&gt;&gt;&gt; </span>embeddings = torch.nn.functional.normalize(embeddings, dim=-<span class="hljs-number">1</span>).cpu()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the resulting embeddings can be used for cosine similarity-based retrieval</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = torch.nn.CosineSimilarity(dim=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>similarity = cosine_sim(embeddings[<span class="hljs-number">0</span>], embeddings[<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>threshold = <span class="hljs-number">0.7</span>  <span class="hljs-comment"># the optimal threshold is dataset-dependent</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">if</span> similarity &lt; threshold:
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Speakers are not the same!&quot;</span>)`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function vd(V){let d,b,g,h,v;return{c(){d=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(f,"CODE",{});var W=n(g);h=i(W,"Module"),W.forEach(t),v=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,d,f),e(d,b),e(d,g),e(g,h),e(d,v)},d(l){l&&t(d)}}}function bd(V){let d,b,g,h,v;return h=new ft({props:{code:`import torch
from transformers import AutoFeatureExtractor, Wav2Vec2ConformerForPreTraining
from transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer import (
    _compute_mask_indices,
    _sample_negative_indices,
)
from datasets import load_dataset

feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-conformer-rel-pos-large")
model = Wav2Vec2ConformerForPreTraining.from_pretrained("facebook/wav2vec2-conformer-rel-pos-large")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
input_values = feature_extractor(ds[0]["audio"]["array"], return_tensors="pt").input_values  # Batch size 1

# compute masked indices
batch_size, raw_sequence_length = input_values.shape
sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length).item()
mask_time_indices = _compute_mask_indices(
    shape=(batch_size, sequence_length), mask_prob=0.2, mask_length=2
)
sampled_negative_indices = _sample_negative_indices(
    features_shape=(batch_size, sequence_length),
    num_negatives=model.config.num_negatives,
    mask_time_indices=mask_time_indices,
)
mask_time_indices = torch.tensor(data=mask_time_indices, device=input_values.device, dtype=torch.long)
sampled_negative_indices = torch.tensor(
    data=sampled_negative_indices, device=input_values.device, dtype=torch.long
)

with torch.no_grad():
    outputs = model(input_values, mask_time_indices=mask_time_indices)

# compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)
cosine_sim = torch.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states, dim=-1)

# show that cosine similarity is much higher than random
cosine_sim[mask_time_indices.to(torch.bool)].mean() > 0.5

# for contrastive loss training model should be put into train mode
model = model.train()
loss = model(
    input_values, mask_time_indices=mask_time_indices, sampled_negative_indices=sampled_negative_indices
).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, Wav2Vec2ConformerForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer <span class="hljs-keyword">import</span> (
<span class="hljs-meta">... </span>    _compute_mask_indices,
<span class="hljs-meta">... </span>    _sample_negative_indices,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rel-pos-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForPreTraining.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rel-pos-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_values  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute masked indices</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>batch_size, raw_sequence_length = input_values.shape
<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = _compute_mask_indices(
<span class="hljs-meta">... </span>    shape=(batch_size, sequence_length), mask_prob=<span class="hljs-number">0.2</span>, mask_length=<span class="hljs-number">2</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampled_negative_indices = _sample_negative_indices(
<span class="hljs-meta">... </span>    features_shape=(batch_size, sequence_length),
<span class="hljs-meta">... </span>    num_negatives=model.config.num_negatives,
<span class="hljs-meta">... </span>    mask_time_indices=mask_time_indices,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = torch.tensor(data=mask_time_indices, device=input_values.device, dtype=torch.long)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampled_negative_indices = torch.tensor(
<span class="hljs-meta">... </span>    data=sampled_negative_indices, device=input_values.device, dtype=torch.long
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(input_values, mask_time_indices=mask_time_indices)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = torch.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># show that cosine similarity is much higher than random</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim[mask_time_indices.to(torch.<span class="hljs-built_in">bool</span>)].mean() &gt; <span class="hljs-number">0.5</span>
tensor(<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># for contrastive loss training model should be put into train mode</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.train()
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(
<span class="hljs-meta">... </span>    input_values, mask_time_indices=mask_time_indices, sampled_negative_indices=sampled_negative_indices
<span class="hljs-meta">... </span>).loss`}}),{c(){d=r("p"),b=s("Example:"),g=m(),w(h.$$.fragment)},l(l){d=a(l,"P",{});var f=n(d);b=i(f,"Example:"),f.forEach(t),g=p(l),C(h.$$.fragment,l)},m(l,f){_(l,d,f),e(d,b),_(l,g,f),y(h,l,f),v=!0},p:pt,i(l){v||(k(h.$$.fragment,l),v=!0)},o(l){$(h.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(g),T(h,l)}}}function wd(V){let d,b,g,h,v,l,f,W,La,Dr,J,be,Rt,eo,Na,Ut,Ia,Lr,we,Xa,oo,Ha,Ba,Nr,ht,Ra,Ir,Ce,Ua,to,Za,Qa,Xr,ut,Ka,Hr,z,R,Ga,Zt,Ja,Ya,Qt,en,on,ro,tn,rn,an,Kt,nn,sn,Gt,ln,cn,ao,dn,Jt,mn,pn,Br,Z,fn,no,hn,un,so,gn,_n,Rr,Y,ye,Yt,io,vn,er,bn,Ur,ke,or,gt,wn,Cn,tr,_t,yn,Zr,ee,$e,rr,lo,kn,ar,$n,Qr,M,co,Tn,oe,Vn,vt,Wn,jn,mo,Fn,xn,qn,te,En,bt,An,Pn,wt,Mn,zn,Sn,Te,Kr,re,Ve,nr,po,On,sr,Dn,Gr,ae,fo,Ln,ho,Nn,Ct,In,Xn,Jr,ne,We,ir,uo,Hn,lr,Bn,Yr,q,go,Rn,_o,Un,vo,Zn,Qn,Kn,bo,Gn,yt,Jn,Yn,es,wo,os,Co,ts,rs,as,S,yo,ns,se,ss,kt,is,ls,cr,cs,ds,ms,je,ps,Fe,ea,ie,xe,dr,ko,fs,mr,hs,oa,E,$o,us,le,gs,pr,_s,vs,To,bs,ws,Cs,Vo,ys,$t,ks,$s,Ts,Wo,Vs,jo,Ws,js,Fs,O,Fo,xs,ce,qs,Tt,Es,As,fr,Ps,Ms,zs,qe,Ss,Ee,ta,de,Ae,hr,xo,Os,ur,Ds,ra,j,qo,Ls,gr,Ns,Is,Eo,Xs,Ao,Hs,Bs,Rs,Po,Us,Vt,Zs,Qs,Ks,Mo,Gs,zo,Js,Ys,ei,D,So,oi,me,ti,Wt,ri,ai,_r,ni,si,ii,Pe,li,Me,aa,pe,ze,vr,Oo,ci,br,di,na,F,Do,mi,wr,pi,fi,Lo,hi,No,ui,gi,_i,Io,vi,jt,bi,wi,Ci,Xo,yi,Ho,ki,$i,Ti,L,Bo,Vi,fe,Wi,Ft,ji,Fi,Cr,xi,qi,Ei,Se,Ai,Oe,sa,he,De,yr,Ro,Pi,kr,Mi,ia,x,Uo,zi,$r,Si,Oi,Zo,Di,Qo,Li,Ni,Ii,Ko,Xi,xt,Hi,Bi,Ri,Go,Ui,Jo,Zi,Qi,Ki,N,Yo,Gi,ue,Ji,qt,Yi,el,Tr,ol,tl,rl,Le,al,Ne,la,ge,Ie,Vr,et,nl,Wr,sl,ca,A,ot,il,_e,ll,jr,cl,dl,tt,ml,pl,fl,rt,hl,Et,ul,gl,_l,at,vl,nt,bl,wl,Cl,I,st,yl,ve,kl,At,$l,Tl,Fr,Vl,Wl,jl,Xe,Fl,He,da;return l=new U({}),eo=new U({}),io=new U({}),lo=new U({}),co=new P({props:{name:"class transformers.Wav2Vec2ConformerConfig",anchor:"transformers.Wav2Vec2ConformerConfig",parameters:[{name:"vocab_size",val:" = None"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout",val:" = 0.1"},{name:"activation_dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.1"},{name:"feat_proj_dropout",val:" = 0.0"},{name:"feat_quantizer_dropout",val:" = 0.0"},{name:"final_dropout",val:" = 0.1"},{name:"layerdrop",val:" = 0.1"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"feat_extract_norm",val:" = 'group'"},{name:"feat_extract_activation",val:" = 'gelu'"},{name:"conv_dim",val:" = (512, 512, 512, 512, 512, 512, 512)"},{name:"conv_stride",val:" = (5, 2, 2, 2, 2, 2, 2)"},{name:"conv_kernel",val:" = (10, 3, 3, 3, 3, 2, 2)"},{name:"conv_bias",val:" = False"},{name:"num_conv_pos_embeddings",val:" = 128"},{name:"num_conv_pos_embedding_groups",val:" = 16"},{name:"apply_spec_augment",val:" = True"},{name:"mask_time_prob",val:" = 0.05"},{name:"mask_time_length",val:" = 10"},{name:"mask_time_min_masks",val:" = 2"},{name:"mask_feature_prob",val:" = 0.0"},{name:"mask_feature_length",val:" = 10"},{name:"mask_feature_min_masks",val:" = 0"},{name:"num_codevectors_per_group",val:" = 320"},{name:"num_codevector_groups",val:" = 2"},{name:"contrastive_logits_temperature",val:" = 0.1"},{name:"num_negatives",val:" = 100"},{name:"codevector_dim",val:" = 256"},{name:"proj_codevector_dim",val:" = 256"},{name:"diversity_loss_weight",val:" = 0.1"},{name:"ctc_loss_reduction",val:" = 'sum'"},{name:"ctc_zero_infinity",val:" = False"},{name:"use_weighted_layer_sum",val:" = False"},{name:"classifier_proj_size",val:" = 256"},{name:"tdnn_dim",val:" = (512, 512, 512, 512, 1500)"},{name:"tdnn_kernel",val:" = (5, 3, 3, 1, 1)"},{name:"tdnn_dilation",val:" = (1, 2, 3, 1, 1)"},{name:"xvector_output_dim",val:" = 512"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 1"},{name:"eos_token_id",val:" = 2"},{name:"add_adapter",val:" = False"},{name:"adapter_kernel_size",val:" = 3"},{name:"adapter_stride",val:" = 2"},{name:"num_adapter_layers",val:" = 3"},{name:"output_hidden_size",val:" = None"},{name:"position_embeddings_type",val:" = 'relative'"},{name:"rotary_embedding_base",val:" = 10000"},{name:"max_source_positions",val:" = 5000"},{name:"conv_depthwise_kernel_size",val:" = 31"},{name:"conformer_conv_dropout",val:" = 0.1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Vocabulary size of the Wav2Vec2Conformer model. Defines the number of different tokens that can be
represented by the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel">Wav2Vec2ConformerModel</a>. Vocabulary size of the
model. Defines the different tokens that can be represented by the <em>inputs_ids</em> passed to the forward
method of <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel">Wav2Vec2ConformerModel</a>.`,name:"vocab_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.Wav2Vec2ConformerConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.Wav2Vec2ConformerConfig.hidden_dropout",description:`<strong>hidden_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.final_dropout",description:`<strong>final_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the final projection layer of <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC">Wav2Vec2ConformerForCTC</a>.`,name:"final_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Wav2Vec2ConformerConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_extract_norm",description:`<strong>feat_extract_norm</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;group&quot;</code>) &#x2014;
The norm to be applied to 1D convolutional layers in feature encoder. One of <code>&quot;group&quot;</code> for group
normalization of only the first 1D convolutional layer or <code>&quot;layer&quot;</code> for layer normalization of all 1D
convolutional layers.`,name:"feat_extract_norm"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_proj_dropout",description:`<strong>feat_proj_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for output of the feature encoder.`,name:"feat_proj_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_extract_activation",description:"<strong>feat_extract_activation</strong> (<code>str, </code>optional<code>, defaults to </code>&#x201C;gelu&#x201D;<code>) -- The non-linear activation function (function or string) in the 1D convolutional layers of the feature extractor. If string, </code>&#x201C;gelu&#x201D;<code>, </code>&#x201C;relu&#x201D;<code>, </code>&#x201C;selu&#x201D;<code>and</code>&#x201C;gelu_new&#x201D;` are supported.",name:"feat_extract_activation"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for quantized feature encoder states.`,name:"feat_quantizer_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_dim",description:`<strong>conv_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 512, 512, 512)</code>) &#x2014;
A tuple of integers defining the number of input and output channels of each 1D convolutional layer in the
feature encoder. The length of <em>conv_dim</em> defines the number of 1D convolutional layers.`,name:"conv_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_stride",description:`<strong>conv_stride</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 2, 2, 2, 2, 2, 2)</code>) &#x2014;
A tuple of integers defining the stride of each 1D convolutional layer in the feature encoder. The length
of <em>conv_stride</em> defines the number of convolutional layers and has to match the length of <em>conv_dim</em>.`,name:"conv_stride"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_kernel",description:`<strong>conv_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(10, 3, 3, 3, 3, 3, 3)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the feature encoder. The
length of <em>conv_kernel</em> defines the number of convolutional layers and has to match the length of
<em>conv_dim</em>.`,name:"conv_kernel"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_bias",description:`<strong>conv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the 1D convolutional layers have a bias.`,name:"conv_bias"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_conv_pos_embeddings",description:`<strong>num_conv_pos_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Number of convolutional positional embeddings. Defines the kernel size of 1D convolutional positional
embeddings layer.`,name:"num_conv_pos_embeddings"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_conv_pos_embedding_groups",description:`<strong>num_conv_pos_embedding_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of groups of 1D convolutional positional embeddings layer.`,name:"num_conv_pos_embedding_groups"},{anchor:"transformers.Wav2Vec2ConformerConfig.apply_spec_augment",description:`<strong>apply_spec_augment</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to apply <em>SpecAugment</em> data augmentation to the outputs of the feature encoder. For reference see
<a href="https://arxiv.org/abs/1904.08779" rel="nofollow">SpecAugment: A Simple Data Augmentation Method for Automatic Speech
Recognition</a>.`,name:"apply_spec_augment"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_time_prob",description:`<strong>mask_time_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.05) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the time axis which will be masked. The masking
procecure generates &#x201D;mask_time_prob<em>len(time_axis)/mask_time_length&#x201D; independent masks over the axis. If
reasoning from the propability of each feature vector to be chosen as the start of the vector span to be
masked, </em>mask_time_prob<em> should be \`prob_vector_start</em>mask_time_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is True\`.`,name:"mask_time_prob"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_time_length",description:`<strong>mask_time_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the time axis.`,name:"mask_time_length"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_time_min_masks",description:`<strong>mask_time_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 2), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the time axis, each time step,
irrespectively of <code>mask_feature_prob</code>. Only relevant if &#x201D;mask_time_prob*len(time_axis)/mask_time_length &lt;
mask_time_min_masks&#x201D;`,name:"mask_time_min_masks"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_feature_prob",description:`<strong>mask_feature_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the feature axis which will be masked. The
masking procecure generates &#x201D;mask_feature_prob<em>len(feature_axis)/mask_time_length&#x201D; independent masks over
the axis. If reasoning from the propability of each feature vector to be chosen as the start of the vector
span to be masked, </em>mask_feature_prob<em> should be \`prob_vector_start</em>mask_feature_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is
True\`.`,name:"mask_feature_prob"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_feature_length",description:`<strong>mask_feature_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the feature axis.`,name:"mask_feature_length"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_feature_min_masks",description:`<strong>mask_feature_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 0), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the feature axis, each time
step, irrespectively of <code>mask_feature_prob</code>. Only relevant if
&#x201D;mask_feature_prob*len(feature_axis)/mask_feature_length &lt; mask_feature_min_masks&#x201D;`,name:"mask_feature_min_masks"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_codevectors_per_group",description:`<strong>num_codevectors_per_group</strong> (<code>int</code>, <em>optional</em>, defaults to 320) &#x2014;
Number of entries in each quantization codebook (group).`,name:"num_codevectors_per_group"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_codevector_groups",description:`<strong>num_codevector_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of codevector groups for product codevector quantization.`,name:"num_codevector_groups"},{anchor:"transformers.Wav2Vec2ConformerConfig.contrastive_logits_temperature",description:`<strong>contrastive_logits_temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The temperature <em>kappa</em> in the contrastive loss.`,name:"contrastive_logits_temperature"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for the output of the feature encoder that&#x2019;s used by the quantizer.`,name:"feat_quantizer_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_negatives",description:`<strong>num_negatives</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Number of negative samples for the contrastive loss.`,name:"num_negatives"},{anchor:"transformers.Wav2Vec2ConformerConfig.codevector_dim",description:`<strong>codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the quantized feature vectors.`,name:"codevector_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.proj_codevector_dim",description:`<strong>proj_codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the final projection of both the quantized and the transformer features.`,name:"proj_codevector_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.diversity_loss_weight",description:`<strong>diversity_loss_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The weight of the codebook diversity loss component.`,name:"diversity_loss_weight"},{anchor:"transformers.Wav2Vec2ConformerConfig.ctc_loss_reduction",description:`<strong>ctc_loss_reduction</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;sum&quot;</code>) &#x2014;
Specifies the reduction to apply to the output of <code>torch.nn.CTCLoss</code>. Only relevant when training an
instance of <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC">Wav2Vec2ConformerForCTC</a>.`,name:"ctc_loss_reduction"},{anchor:"transformers.Wav2Vec2ConformerConfig.ctc_zero_infinity",description:`<strong>ctc_zero_infinity</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to zero infinite losses and the associated gradients of <code>torch.nn.CTCLoss</code>. Infinite losses mainly
occur when the inputs are too short to be aligned to the targets. Only relevant when training an instance
of <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC">Wav2Vec2ConformerForCTC</a>.`,name:"ctc_zero_infinity"},{anchor:"transformers.Wav2Vec2ConformerConfig.use_weighted_layer_sum",description:`<strong>use_weighted_layer_sum</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use a weighted average of layer outputs with learned weights. Only relevant when using an
instance of <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForSequenceClassification">Wav2Vec2ConformerForSequenceClassification</a>.`,name:"use_weighted_layer_sum"},{anchor:"transformers.Wav2Vec2ConformerConfig.classifier_proj_size",description:`<strong>classifier_proj_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the projection before token mean-pooling for classification.`,name:"classifier_proj_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.tdnn_dim",description:`<strong>tdnn_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 1500)</code>) &#x2014;
A tuple of integers defining the number of output channels of each 1D convolutional layer in the <em>TDNN</em>
module of the <em>XVector</em> model. The length of <em>tdnn_dim</em> defines the number of <em>TDNN</em> layers.`,name:"tdnn_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.tdnn_kernel",description:`<strong>tdnn_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 3, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_kernel</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_kernel"},{anchor:"transformers.Wav2Vec2ConformerConfig.tdnn_dilation",description:`<strong>tdnn_dilation</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(1, 2, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the dilation factor of each 1D convolutional layer in <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_dilation</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_dilation"},{anchor:"transformers.Wav2Vec2ConformerConfig.xvector_output_dim",description:`<strong>xvector_output_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the <em>XVector</em> embedding vectors.`,name:"xvector_output_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.add_adapter",description:`<strong>add_adapter</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether a convolutional network should be stacked on top of the Wav2Vec2Conformer Encoder. Can be very
useful for warm-starting Wav2Vec2Conformer for SpeechEncoderDecoder models.`,name:"add_adapter"},{anchor:"transformers.Wav2Vec2ConformerConfig.adapter_kernel_size",description:`<strong>adapter_kernel_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Kernel size of the convolutional layers in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"adapter_kernel_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.adapter_stride",description:`<strong>adapter_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Stride of the convolutional layers in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"adapter_stride"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_adapter_layers",description:`<strong>num_adapter_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Number of convolutional layers that should be used in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"num_adapter_layers"},{anchor:"transformers.Wav2Vec2ConformerConfig.output_hidden_size",description:`<strong>output_hidden_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Dimensionality of the encoder output layer. If not defined, this defaults to <em>hidden-size</em>. Only relevant
if <code>add_adapter is True</code>.`,name:"output_hidden_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.position_embeddings_type",description:`<strong>position_embeddings_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relative&quot;</code>) &#x2014;
Can be specified to <code>relative</code> or <code>rotary</code> for relative or rotary position embeddings respectively. If left
<code>None</code> no relative position embedding is applied.`,name:"position_embeddings_type"},{anchor:"transformers.Wav2Vec2ConformerConfig.rotary_embedding_base",description:`<strong>rotary_embedding_base</strong> (<code>int</code>, <em>optional</em>, defaults to 10000) &#x2014;
If <code>&quot;rotary&quot;</code> position embeddings are used, defines the size of the embedding base.`,name:"rotary_embedding_base"},{anchor:"transformers.Wav2Vec2ConformerConfig.max_source_positions",description:`<strong>max_source_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 5000) &#x2014;
if <code>&quot;relative&quot;</code> position embeddings are used, defines the maximum source input positions.`,name:"max_source_positions"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_depthwise_kernel_size",description:`<strong>conv_depthwise_kernel_size</strong> (<code>int</code>, defaults to 31) &#x2014;
Kernel size of convolutional depthwise 1D layer in Conformer blocks.`,name:"conv_depthwise_kernel_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.conformer_conv_dropout",description:`<strong>conformer_conv_dropout</strong> (<code>float</code>, defaults to 0.1) &#x2014;
The dropout probability for all convolutional layers in Conformer blocks.`,name:"conformer_conv_dropout"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/configuration_wav2vec2_conformer.py#L33"}}),Te=new mt({props:{anchor:"transformers.Wav2Vec2ConformerConfig.example",$$slots:{default:[id]},$$scope:{ctx:V}}}),po=new U({}),fo=new P({props:{name:"class transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput",anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"projected_states",val:": FloatTensor = None"},{name:"projected_quantized_states",val:": FloatTensor = None"},{name:"codevector_perplexity",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"contrastive_loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"diversity_loss",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official
paper</a> . (classification) loss.`,name:"loss"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.projected_states",description:`<strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.`,name:"projected_states"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.projected_quantized_states",description:`<strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.`,name:"projected_quantized_states"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.contrastive_loss",description:`<strong>contrastive_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
The contrastive loss (L_m) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official paper</a> .`,name:"contrastive_loss"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.diversity_loss",description:`<strong>diversity_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
The diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official paper</a> .`,name:"diversity_loss"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L74"}}),uo=new U({}),go=new P({props:{name:"class transformers.Wav2Vec2ConformerModel",anchor:"transformers.Wav2Vec2ConformerModel",parameters:[{name:"config",val:": Wav2Vec2ConformerConfig"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1242"}}),yo=new P({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerModel.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerModel.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <code>.flac</code> or <code>.wav</code> audio file
into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_values</code>, the <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoProcessor">AutoProcessor</a> should be used for padding and
conversion into a tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1315",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>extract_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, conv_dim[-1])</code>) \u2014 Sequence of extracted feature vectors of the last convolutional layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),je=new Bt({props:{$$slots:{default:[ld]},$$scope:{ctx:V}}}),Fe=new mt({props:{anchor:"transformers.Wav2Vec2ConformerModel.forward.example",$$slots:{default:[cd]},$$scope:{ctx:V}}}),ko=new U({}),$o=new P({props:{name:"class transformers.Wav2Vec2ConformerForCTC",anchor:"transformers.Wav2Vec2ConformerForCTC",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForCTC.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1601"}}),Fo=new P({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForCTC.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <code>.flac</code> or <code>.wav</code> audio file
into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_values</code>, the <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoProcessor">AutoProcessor</a> should be used for padding and
conversion into a tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_length)</code>, <em>optional</em>) &#x2014;
Labels for connectionist temporal classification. Note that <code>target_length</code> has to be smaller or equal to
the sequence length of the output logits. Indices are selected in <code>[-100, 0, ..., config.vocab_size - 1]</code>.
All labels set to <code>-100</code> are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1632",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qe=new Bt({props:{$$slots:{default:[dd]},$$scope:{ctx:V}}}),Ee=new mt({props:{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.example",$$slots:{default:[md]},$$scope:{ctx:V}}}),xo=new U({}),qo=new P({props:{name:"class transformers.Wav2Vec2ConformerForSequenceClassification",anchor:"transformers.Wav2Vec2ConformerForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1720"}}),So=new P({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <code>.flac</code> or <code>.wav</code> audio file
into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_values</code>, the <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoProcessor">AutoProcessor</a> should be used for padding and
conversion into a tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1755",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pe=new Bt({props:{$$slots:{default:[pd]},$$scope:{ctx:V}}}),Me=new mt({props:{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.example",$$slots:{default:[fd]},$$scope:{ctx:V}}}),Oo=new U({}),Do=new P({props:{name:"class transformers.Wav2Vec2ConformerForAudioFrameClassification",anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1831"}}),Bo=new P({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <code>.flac</code> or <code>.wav</code> audio file
into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_values</code>, the <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoProcessor">AutoProcessor</a> should be used for padding and
conversion into a tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1866",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Se=new Bt({props:{$$slots:{default:[hd]},$$scope:{ctx:V}}}),Oe=new mt({props:{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.example",$$slots:{default:[ud]},$$scope:{ctx:V}}}),Ro=new U({}),Uo=new P({props:{name:"class transformers.Wav2Vec2ConformerForXVector",anchor:"transformers.Wav2Vec2ConformerForXVector",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForXVector.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1985"}}),Yo=new P({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForXVector.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <code>.flac</code> or <code>.wav</code> audio file
into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_values</code>, the <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoProcessor">AutoProcessor</a> should be used for padding and
conversion into a tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L2038",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Classification hidden states before AMSoftmax.</p>
</li>
<li>
<p><strong>embeddings</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Utterance embeddings used for vector similarity-based retrieval.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Le=new Bt({props:{$$slots:{default:[gd]},$$scope:{ctx:V}}}),Ne=new mt({props:{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.example",$$slots:{default:[_d]},$$scope:{ctx:V}}}),et=new U({}),ot=new P({props:{name:"class transformers.Wav2Vec2ConformerForPreTraining",anchor:"transformers.Wav2Vec2ConformerForPreTraining",parameters:[{name:"config",val:": Wav2Vec2ConformerConfig"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1380"}}),st=new P({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.BoolTensor] = None"},{name:"sampled_negative_indices",val:": typing.Optional[torch.BoolTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <code>.flac</code> or <code>.wav</code> audio file
into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_values</code>, the <a href="/docs/transformers/pr_21499/en/model_doc/auto#transformers.AutoProcessor">AutoProcessor</a> should be used for padding and
conversion into a tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/pr_21499/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21499/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.mask_time_indices",description:`<strong>mask_time_indices</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices to mask extracted features for contrastive loss. When in training mode, model learns to predict
masked extracted features in <em>config.proj_codevector_dim</em> space.`,name:"mask_time_indices"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.sampled_negative_indices",description:`<strong>sampled_negative_indices</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length, num_negatives)</code>, <em>optional</em>) &#x2014;
Indices indicating which quantized target vectors are used as negative sampled vectors in contrastive loss.
Required input for pre-training.`,name:"sampled_negative_indices"}],source:"https://github.com/huggingface/transformers/blob/vr_21499/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1432",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"
>transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official
paper</a> . (classification) loss.</p>
</li>
<li>
<p><strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.</p>
</li>
<li>
<p><strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>contrastive_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 The contrastive loss (L_m) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official paper</a> .</p>
</li>
<li>
<p><strong>diversity_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 The diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official paper</a> .</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"
>transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xe=new Bt({props:{$$slots:{default:[vd]},$$scope:{ctx:V}}}),He=new mt({props:{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.example",$$slots:{default:[bd]},$$scope:{ctx:V}}}),{c(){d=r("meta"),b=m(),g=r("h1"),h=r("a"),v=r("span"),w(l.$$.fragment),f=m(),W=r("span"),La=s("Wav2Vec2-Conformer"),Dr=m(),J=r("h2"),be=r("a"),Rt=r("span"),w(eo.$$.fragment),Na=m(),Ut=r("span"),Ia=s("Overview"),Lr=m(),we=r("p"),Xa=s("The Wav2Vec2-Conformer was added to an updated version of "),oo=r("a"),Ha=s("fairseq S2T: Fast Speech-to-Text Modeling with fairseq"),Ba=s(" by Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Sravya Popuri, Dmytro Okhonko, Juan Pino."),Nr=m(),ht=r("p"),Ra=s("The official results of the model can be found in Table 3 and Table 4 of the paper."),Ir=m(),Ce=r("p"),Ua=s("The Wav2Vec2-Conformer weights were released by the Meta AI team within the "),to=r("a"),Za=s("Fairseq library"),Qa=s("."),Xr=m(),ut=r("p"),Ka=s("Tips:"),Hr=m(),z=r("ul"),R=r("li"),Ga=s("Wav2Vec2-Conformer follows the same architecture as Wav2Vec2, but replaces the "),Zt=r("em"),Ja=s("Attention"),Ya=s("-block with a "),Qt=r("em"),en=s("Conformer"),on=s(`-block
as introduced in `),ro=r("a"),tn=s("Conformer: Convolution-augmented Transformer for Speech Recognition"),rn=s("."),an=m(),Kt=r("li"),nn=s(`For the same number of layers, Wav2Vec2-Conformer requires more parameters than Wav2Vec2, but also yields
an improved word error rate.`),sn=m(),Gt=r("li"),ln=s("Wav2Vec2-Conformer uses the same tokenizer and feature extractor as Wav2Vec2."),cn=m(),ao=r("li"),dn=s(`Wav2Vec2-Conformer can use either no relative position embeddings, Transformer-XL-like position embeddings, or
rotary position embeddings by setting the correct `),Jt=r("code"),mn=s("config.position_embeddings_type"),pn=s("."),Br=m(),Z=r("p"),fn=s("This model was contributed by "),no=r("a"),hn=s("patrickvonplaten"),un=s(`.
The original code can be found `),so=r("a"),gn=s("here"),_n=s("."),Rr=m(),Y=r("h2"),ye=r("a"),Yt=r("span"),w(io.$$.fragment),vn=m(),er=r("span"),bn=s("Documentation resources"),Ur=m(),ke=r("ul"),or=r("li"),gt=r("a"),wn=s("Audio classification task guide"),Cn=m(),tr=r("li"),_t=r("a"),yn=s("Automatic speech recognition task guide"),Zr=m(),ee=r("h2"),$e=r("a"),rr=r("span"),w(lo.$$.fragment),kn=m(),ar=r("span"),$n=s("Wav2Vec2ConformerConfig"),Qr=m(),M=r("div"),w(co.$$.fragment),Tn=m(),oe=r("p"),Vn=s("This is the configuration class to store the configuration of a "),vt=r("a"),Wn=s("Wav2Vec2ConformerModel"),jn=s(`. It is used to
instantiate an Wav2Vec2Conformer model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Wav2Vec2Conformer
`),mo=r("a"),Fn=s("facebook/wav2vec2-conformer-rel-pos-large"),xn=s(`
architecture.`),qn=m(),te=r("p"),En=s("Configuration objects inherit from "),bt=r("a"),An=s("PretrainedConfig"),Pn=s(` and can be used to control the model outputs. Read the
documentation from `),wt=r("a"),Mn=s("PretrainedConfig"),zn=s(" for more information."),Sn=m(),w(Te.$$.fragment),Kr=m(),re=r("h2"),Ve=r("a"),nr=r("span"),w(po.$$.fragment),On=m(),sr=r("span"),Dn=s("Wav2Vec2Conformer specific outputs"),Gr=m(),ae=r("div"),w(fo.$$.fragment),Ln=m(),ho=r("p"),Nn=s("Output type of "),Ct=r("a"),In=s("Wav2Vec2ConformerForPreTraining"),Xn=s(", with potential hidden states and attentions."),Jr=m(),ne=r("h2"),We=r("a"),ir=r("span"),w(uo.$$.fragment),Hn=m(),lr=r("span"),Bn=s("Wav2Vec2ConformerModel"),Yr=m(),q=r("div"),w(go.$$.fragment),Rn=m(),_o=r("p"),Un=s(`The bare Wav2Vec2Conformer Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2Conformer was proposed in `),vo=r("a"),Zn=s(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Qn=s(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Kn=m(),bo=r("p"),Gn=s("This model inherits from "),yt=r("a"),Jn=s("PreTrainedModel"),Yn=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),es=m(),wo=r("p"),os=s("This model is a PyTorch "),Co=r("a"),ts=s("nn.Module"),rs=s(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),as=m(),S=r("div"),w(yo.$$.fragment),ns=m(),se=r("p"),ss=s("The "),kt=r("a"),is=s("Wav2Vec2ConformerModel"),ls=s(" forward method, overrides the "),cr=r("code"),cs=s("__call__"),ds=s(" special method."),ms=m(),w(je.$$.fragment),ps=m(),w(Fe.$$.fragment),ea=m(),ie=r("h2"),xe=r("a"),dr=r("span"),w(ko.$$.fragment),fs=m(),mr=r("span"),hs=s("Wav2Vec2ConformerForCTC"),oa=m(),E=r("div"),w($o.$$.fragment),us=m(),le=r("p"),gs=s("Wav2Vec2Conformer Model with a "),pr=r("code"),_s=s("language modeling"),vs=s(` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2Conformer was proposed in `),To=r("a"),bs=s(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),ws=s(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Cs=m(),Vo=r("p"),ys=s("This model inherits from "),$t=r("a"),ks=s("PreTrainedModel"),$s=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ts=m(),Wo=r("p"),Vs=s("This model is a PyTorch "),jo=r("a"),Ws=s("nn.Module"),js=s(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Fs=m(),O=r("div"),w(Fo.$$.fragment),xs=m(),ce=r("p"),qs=s("The "),Tt=r("a"),Es=s("Wav2Vec2ConformerForCTC"),As=s(" forward method, overrides the "),fr=r("code"),Ps=s("__call__"),Ms=s(" special method."),zs=m(),w(qe.$$.fragment),Ss=m(),w(Ee.$$.fragment),ta=m(),de=r("h2"),Ae=r("a"),hr=r("span"),w(xo.$$.fragment),Os=m(),ur=r("span"),Ds=s("Wav2Vec2ConformerForSequenceClassification"),ra=m(),j=r("div"),w(qo.$$.fragment),Ls=m(),gr=r("p"),Ns=s(`Wav2Vec2Conformer Model with a sequence classification head on top (a linear layer over the pooled output) for
tasks like SUPERB Keyword Spotting.`),Is=m(),Eo=r("p"),Xs=s("Wav2Vec2Conformer was proposed in "),Ao=r("a"),Hs=s(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Bs=s(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Rs=m(),Po=r("p"),Us=s("This model inherits from "),Vt=r("a"),Zs=s("PreTrainedModel"),Qs=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ks=m(),Mo=r("p"),Gs=s("This model is a PyTorch "),zo=r("a"),Js=s("nn.Module"),Ys=s(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),ei=m(),D=r("div"),w(So.$$.fragment),oi=m(),me=r("p"),ti=s("The "),Wt=r("a"),ri=s("Wav2Vec2ConformerForSequenceClassification"),ai=s(" forward method, overrides the "),_r=r("code"),ni=s("__call__"),si=s(" special method."),ii=m(),w(Pe.$$.fragment),li=m(),w(Me.$$.fragment),aa=m(),pe=r("h2"),ze=r("a"),vr=r("span"),w(Oo.$$.fragment),ci=m(),br=r("span"),di=s("Wav2Vec2ConformerForAudioFrameClassification"),na=m(),F=r("div"),w(Do.$$.fragment),mi=m(),wr=r("p"),pi=s("Wav2Vec2Conformer Model with a frame classification head on top for tasks like Speaker Diarization."),fi=m(),Lo=r("p"),hi=s("Wav2Vec2Conformer was proposed in "),No=r("a"),ui=s(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),gi=s(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),_i=m(),Io=r("p"),vi=s("This model inherits from "),jt=r("a"),bi=s("PreTrainedModel"),wi=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ci=m(),Xo=r("p"),yi=s("This model is a PyTorch "),Ho=r("a"),ki=s("nn.Module"),$i=s(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Ti=m(),L=r("div"),w(Bo.$$.fragment),Vi=m(),fe=r("p"),Wi=s("The "),Ft=r("a"),ji=s("Wav2Vec2ConformerForAudioFrameClassification"),Fi=s(" forward method, overrides the "),Cr=r("code"),xi=s("__call__"),qi=s(" special method."),Ei=m(),w(Se.$$.fragment),Ai=m(),w(Oe.$$.fragment),sa=m(),he=r("h2"),De=r("a"),yr=r("span"),w(Ro.$$.fragment),Pi=m(),kr=r("span"),Mi=s("Wav2Vec2ConformerForXVector"),ia=m(),x=r("div"),w(Uo.$$.fragment),zi=m(),$r=r("p"),Si=s("Wav2Vec2Conformer Model with an XVector feature extraction head on top for tasks like Speaker Verification."),Oi=m(),Zo=r("p"),Di=s("Wav2Vec2Conformer was proposed in "),Qo=r("a"),Li=s(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Ni=s(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ii=m(),Ko=r("p"),Xi=s("This model inherits from "),xt=r("a"),Hi=s("PreTrainedModel"),Bi=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ri=m(),Go=r("p"),Ui=s("This model is a PyTorch "),Jo=r("a"),Zi=s("nn.Module"),Qi=s(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Ki=m(),N=r("div"),w(Yo.$$.fragment),Gi=m(),ue=r("p"),Ji=s("The "),qt=r("a"),Yi=s("Wav2Vec2ConformerForXVector"),el=s(" forward method, overrides the "),Tr=r("code"),ol=s("__call__"),tl=s(" special method."),rl=m(),w(Le.$$.fragment),al=m(),w(Ne.$$.fragment),la=m(),ge=r("h2"),Ie=r("a"),Vr=r("span"),w(et.$$.fragment),nl=m(),Wr=r("span"),sl=s("Wav2Vec2ConformerForPreTraining"),ca=m(),A=r("div"),w(ot.$$.fragment),il=m(),_e=r("p"),ll=s("Wav2Vec2Conformer Model with a quantizer and "),jr=r("code"),cl=s("VQ"),dl=s(` head on top.
Wav2Vec2Conformer was proposed in `),tt=r("a"),ml=s(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),pl=s(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),fl=m(),rt=r("p"),hl=s("This model inherits from "),Et=r("a"),ul=s("PreTrainedModel"),gl=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),_l=m(),at=r("p"),vl=s("This model is a PyTorch "),nt=r("a"),bl=s("nn.Module"),wl=s(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Cl=m(),I=r("div"),w(st.$$.fragment),yl=m(),ve=r("p"),kl=s("The "),At=r("a"),$l=s("Wav2Vec2ConformerForPreTraining"),Tl=s(" forward method, overrides the "),Fr=r("code"),Vl=s("__call__"),Wl=s(" special method."),jl=m(),w(Xe.$$.fragment),Fl=m(),w(He.$$.fragment),this.h()},l(o){const u=nd('[data-svelte="svelte-1phssyn"]',document.head);d=a(u,"META",{name:!0,content:!0}),u.forEach(t),b=p(o),g=a(o,"H1",{class:!0});var it=n(g);h=a(it,"A",{id:!0,class:!0,href:!0});var xr=n(h);v=a(xr,"SPAN",{});var qr=n(v);C(l.$$.fragment,qr),qr.forEach(t),xr.forEach(t),f=p(it),W=a(it,"SPAN",{});var Er=n(W);La=i(Er,"Wav2Vec2-Conformer"),Er.forEach(t),it.forEach(t),Dr=p(o),J=a(o,"H2",{class:!0});var lt=n(J);be=a(lt,"A",{id:!0,class:!0,href:!0});var Ar=n(be);Rt=a(Ar,"SPAN",{});var Pr=n(Rt);C(eo.$$.fragment,Pr),Pr.forEach(t),Ar.forEach(t),Na=p(lt),Ut=a(lt,"SPAN",{});var Mr=n(Ut);Ia=i(Mr,"Overview"),Mr.forEach(t),lt.forEach(t),Lr=p(o),we=a(o,"P",{});var ct=n(we);Xa=i(ct,"The Wav2Vec2-Conformer was added to an updated version of "),oo=a(ct,"A",{href:!0,rel:!0});var zr=n(oo);Ha=i(zr,"fairseq S2T: Fast Speech-to-Text Modeling with fairseq"),zr.forEach(t),Ba=i(ct," by Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Sravya Popuri, Dmytro Okhonko, Juan Pino."),ct.forEach(t),Nr=p(o),ht=a(o,"P",{});var Sr=n(ht);Ra=i(Sr,"The official results of the model can be found in Table 3 and Table 4 of the paper."),Sr.forEach(t),Ir=p(o),Ce=a(o,"P",{});var dt=n(Ce);Ua=i(dt,"The Wav2Vec2-Conformer weights were released by the Meta AI team within the "),to=a(dt,"A",{href:!0,rel:!0});var Or=n(to);Za=i(Or,"Fairseq library"),Or.forEach(t),Qa=i(dt,"."),dt.forEach(t),Xr=p(o),ut=a(o,"P",{});var xl=n(ut);Ka=i(xl,"Tips:"),xl.forEach(t),Hr=p(o),z=a(o,"UL",{});var Be=n(z);R=a(Be,"LI",{});var Re=n(R);Ga=i(Re,"Wav2Vec2-Conformer follows the same architecture as Wav2Vec2, but replaces the "),Zt=a(Re,"EM",{});var ql=n(Zt);Ja=i(ql,"Attention"),ql.forEach(t),Ya=i(Re,"-block with a "),Qt=a(Re,"EM",{});var El=n(Qt);en=i(El,"Conformer"),El.forEach(t),on=i(Re,`-block
as introduced in `),ro=a(Re,"A",{href:!0,rel:!0});var Al=n(ro);tn=i(Al,"Conformer: Convolution-augmented Transformer for Speech Recognition"),Al.forEach(t),rn=i(Re,"."),Re.forEach(t),an=p(Be),Kt=a(Be,"LI",{});var Pl=n(Kt);nn=i(Pl,`For the same number of layers, Wav2Vec2-Conformer requires more parameters than Wav2Vec2, but also yields
an improved word error rate.`),Pl.forEach(t),sn=p(Be),Gt=a(Be,"LI",{});var Ml=n(Gt);ln=i(Ml,"Wav2Vec2-Conformer uses the same tokenizer and feature extractor as Wav2Vec2."),Ml.forEach(t),cn=p(Be),ao=a(Be,"LI",{});var ma=n(ao);dn=i(ma,`Wav2Vec2-Conformer can use either no relative position embeddings, Transformer-XL-like position embeddings, or
rotary position embeddings by setting the correct `),Jt=a(ma,"CODE",{});var zl=n(Jt);mn=i(zl,"config.position_embeddings_type"),zl.forEach(t),pn=i(ma,"."),ma.forEach(t),Be.forEach(t),Br=p(o),Z=a(o,"P",{});var Pt=n(Z);fn=i(Pt,"This model was contributed by "),no=a(Pt,"A",{href:!0,rel:!0});var Sl=n(no);hn=i(Sl,"patrickvonplaten"),Sl.forEach(t),un=i(Pt,`.
The original code can be found `),so=a(Pt,"A",{href:!0,rel:!0});var Ol=n(so);gn=i(Ol,"here"),Ol.forEach(t),_n=i(Pt,"."),Pt.forEach(t),Rr=p(o),Y=a(o,"H2",{class:!0});var pa=n(Y);ye=a(pa,"A",{id:!0,class:!0,href:!0});var Dl=n(ye);Yt=a(Dl,"SPAN",{});var Ll=n(Yt);C(io.$$.fragment,Ll),Ll.forEach(t),Dl.forEach(t),vn=p(pa),er=a(pa,"SPAN",{});var Nl=n(er);bn=i(Nl,"Documentation resources"),Nl.forEach(t),pa.forEach(t),Ur=p(o),ke=a(o,"UL",{});var fa=n(ke);or=a(fa,"LI",{});var Il=n(or);gt=a(Il,"A",{href:!0});var Xl=n(gt);wn=i(Xl,"Audio classification task guide"),Xl.forEach(t),Il.forEach(t),Cn=p(fa),tr=a(fa,"LI",{});var Hl=n(tr);_t=a(Hl,"A",{href:!0});var Bl=n(_t);yn=i(Bl,"Automatic speech recognition task guide"),Bl.forEach(t),Hl.forEach(t),fa.forEach(t),Zr=p(o),ee=a(o,"H2",{class:!0});var ha=n(ee);$e=a(ha,"A",{id:!0,class:!0,href:!0});var Rl=n($e);rr=a(Rl,"SPAN",{});var Ul=n(rr);C(lo.$$.fragment,Ul),Ul.forEach(t),Rl.forEach(t),kn=p(ha),ar=a(ha,"SPAN",{});var Zl=n(ar);$n=i(Zl,"Wav2Vec2ConformerConfig"),Zl.forEach(t),ha.forEach(t),Qr=p(o),M=a(o,"DIV",{class:!0});var Ue=n(M);C(co.$$.fragment,Ue),Tn=p(Ue),oe=a(Ue,"P",{});var Mt=n(oe);Vn=i(Mt,"This is the configuration class to store the configuration of a "),vt=a(Mt,"A",{href:!0});var Ql=n(vt);Wn=i(Ql,"Wav2Vec2ConformerModel"),Ql.forEach(t),jn=i(Mt,`. It is used to
instantiate an Wav2Vec2Conformer model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Wav2Vec2Conformer
`),mo=a(Mt,"A",{href:!0,rel:!0});var Kl=n(mo);Fn=i(Kl,"facebook/wav2vec2-conformer-rel-pos-large"),Kl.forEach(t),xn=i(Mt,`
architecture.`),Mt.forEach(t),qn=p(Ue),te=a(Ue,"P",{});var zt=n(te);En=i(zt,"Configuration objects inherit from "),bt=a(zt,"A",{href:!0});var Gl=n(bt);An=i(Gl,"PretrainedConfig"),Gl.forEach(t),Pn=i(zt,` and can be used to control the model outputs. Read the
documentation from `),wt=a(zt,"A",{href:!0});var Jl=n(wt);Mn=i(Jl,"PretrainedConfig"),Jl.forEach(t),zn=i(zt," for more information."),zt.forEach(t),Sn=p(Ue),C(Te.$$.fragment,Ue),Ue.forEach(t),Kr=p(o),re=a(o,"H2",{class:!0});var ua=n(re);Ve=a(ua,"A",{id:!0,class:!0,href:!0});var Yl=n(Ve);nr=a(Yl,"SPAN",{});var ec=n(nr);C(po.$$.fragment,ec),ec.forEach(t),Yl.forEach(t),On=p(ua),sr=a(ua,"SPAN",{});var oc=n(sr);Dn=i(oc,"Wav2Vec2Conformer specific outputs"),oc.forEach(t),ua.forEach(t),Gr=p(o),ae=a(o,"DIV",{class:!0});var ga=n(ae);C(fo.$$.fragment,ga),Ln=p(ga),ho=a(ga,"P",{});var _a=n(ho);Nn=i(_a,"Output type of "),Ct=a(_a,"A",{href:!0});var tc=n(Ct);In=i(tc,"Wav2Vec2ConformerForPreTraining"),tc.forEach(t),Xn=i(_a,", with potential hidden states and attentions."),_a.forEach(t),ga.forEach(t),Jr=p(o),ne=a(o,"H2",{class:!0});var va=n(ne);We=a(va,"A",{id:!0,class:!0,href:!0});var rc=n(We);ir=a(rc,"SPAN",{});var ac=n(ir);C(uo.$$.fragment,ac),ac.forEach(t),rc.forEach(t),Hn=p(va),lr=a(va,"SPAN",{});var nc=n(lr);Bn=i(nc,"Wav2Vec2ConformerModel"),nc.forEach(t),va.forEach(t),Yr=p(o),q=a(o,"DIV",{class:!0});var Q=n(q);C(go.$$.fragment,Q),Rn=p(Q),_o=a(Q,"P",{});var ba=n(_o);Un=i(ba,`The bare Wav2Vec2Conformer Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2Conformer was proposed in `),vo=a(ba,"A",{href:!0,rel:!0});var sc=n(vo);Zn=i(sc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),sc.forEach(t),Qn=i(ba,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),ba.forEach(t),Kn=p(Q),bo=a(Q,"P",{});var wa=n(bo);Gn=i(wa,"This model inherits from "),yt=a(wa,"A",{href:!0});var ic=n(yt);Jn=i(ic,"PreTrainedModel"),ic.forEach(t),Yn=i(wa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),wa.forEach(t),es=p(Q),wo=a(Q,"P",{});var Ca=n(wo);os=i(Ca,"This model is a PyTorch "),Co=a(Ca,"A",{href:!0,rel:!0});var lc=n(Co);ts=i(lc,"nn.Module"),lc.forEach(t),rs=i(Ca,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Ca.forEach(t),as=p(Q),S=a(Q,"DIV",{class:!0});var Ze=n(S);C(yo.$$.fragment,Ze),ns=p(Ze),se=a(Ze,"P",{});var St=n(se);ss=i(St,"The "),kt=a(St,"A",{href:!0});var cc=n(kt);is=i(cc,"Wav2Vec2ConformerModel"),cc.forEach(t),ls=i(St," forward method, overrides the "),cr=a(St,"CODE",{});var dc=n(cr);cs=i(dc,"__call__"),dc.forEach(t),ds=i(St," special method."),St.forEach(t),ms=p(Ze),C(je.$$.fragment,Ze),ps=p(Ze),C(Fe.$$.fragment,Ze),Ze.forEach(t),Q.forEach(t),ea=p(o),ie=a(o,"H2",{class:!0});var ya=n(ie);xe=a(ya,"A",{id:!0,class:!0,href:!0});var mc=n(xe);dr=a(mc,"SPAN",{});var pc=n(dr);C(ko.$$.fragment,pc),pc.forEach(t),mc.forEach(t),fs=p(ya),mr=a(ya,"SPAN",{});var fc=n(mr);hs=i(fc,"Wav2Vec2ConformerForCTC"),fc.forEach(t),ya.forEach(t),oa=p(o),E=a(o,"DIV",{class:!0});var K=n(E);C($o.$$.fragment,K),us=p(K),le=a(K,"P",{});var Ot=n(le);gs=i(Ot,"Wav2Vec2Conformer Model with a "),pr=a(Ot,"CODE",{});var hc=n(pr);_s=i(hc,"language modeling"),hc.forEach(t),vs=i(Ot,` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2Conformer was proposed in `),To=a(Ot,"A",{href:!0,rel:!0});var uc=n(To);bs=i(uc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),uc.forEach(t),ws=i(Ot,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ot.forEach(t),Cs=p(K),Vo=a(K,"P",{});var ka=n(Vo);ys=i(ka,"This model inherits from "),$t=a(ka,"A",{href:!0});var gc=n($t);ks=i(gc,"PreTrainedModel"),gc.forEach(t),$s=i(ka,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),ka.forEach(t),Ts=p(K),Wo=a(K,"P",{});var $a=n(Wo);Vs=i($a,"This model is a PyTorch "),jo=a($a,"A",{href:!0,rel:!0});var _c=n(jo);Ws=i(_c,"nn.Module"),_c.forEach(t),js=i($a,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),$a.forEach(t),Fs=p(K),O=a(K,"DIV",{class:!0});var Qe=n(O);C(Fo.$$.fragment,Qe),xs=p(Qe),ce=a(Qe,"P",{});var Dt=n(ce);qs=i(Dt,"The "),Tt=a(Dt,"A",{href:!0});var vc=n(Tt);Es=i(vc,"Wav2Vec2ConformerForCTC"),vc.forEach(t),As=i(Dt," forward method, overrides the "),fr=a(Dt,"CODE",{});var bc=n(fr);Ps=i(bc,"__call__"),bc.forEach(t),Ms=i(Dt," special method."),Dt.forEach(t),zs=p(Qe),C(qe.$$.fragment,Qe),Ss=p(Qe),C(Ee.$$.fragment,Qe),Qe.forEach(t),K.forEach(t),ta=p(o),de=a(o,"H2",{class:!0});var Ta=n(de);Ae=a(Ta,"A",{id:!0,class:!0,href:!0});var wc=n(Ae);hr=a(wc,"SPAN",{});var Cc=n(hr);C(xo.$$.fragment,Cc),Cc.forEach(t),wc.forEach(t),Os=p(Ta),ur=a(Ta,"SPAN",{});var yc=n(ur);Ds=i(yc,"Wav2Vec2ConformerForSequenceClassification"),yc.forEach(t),Ta.forEach(t),ra=p(o),j=a(o,"DIV",{class:!0});var X=n(j);C(qo.$$.fragment,X),Ls=p(X),gr=a(X,"P",{});var kc=n(gr);Ns=i(kc,`Wav2Vec2Conformer Model with a sequence classification head on top (a linear layer over the pooled output) for
tasks like SUPERB Keyword Spotting.`),kc.forEach(t),Is=p(X),Eo=a(X,"P",{});var Va=n(Eo);Xs=i(Va,"Wav2Vec2Conformer was proposed in "),Ao=a(Va,"A",{href:!0,rel:!0});var $c=n(Ao);Hs=i($c,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),$c.forEach(t),Bs=i(Va,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Va.forEach(t),Rs=p(X),Po=a(X,"P",{});var Wa=n(Po);Us=i(Wa,"This model inherits from "),Vt=a(Wa,"A",{href:!0});var Tc=n(Vt);Zs=i(Tc,"PreTrainedModel"),Tc.forEach(t),Qs=i(Wa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Wa.forEach(t),Ks=p(X),Mo=a(X,"P",{});var ja=n(Mo);Gs=i(ja,"This model is a PyTorch "),zo=a(ja,"A",{href:!0,rel:!0});var Vc=n(zo);Js=i(Vc,"nn.Module"),Vc.forEach(t),Ys=i(ja,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),ja.forEach(t),ei=p(X),D=a(X,"DIV",{class:!0});var Ke=n(D);C(So.$$.fragment,Ke),oi=p(Ke),me=a(Ke,"P",{});var Lt=n(me);ti=i(Lt,"The "),Wt=a(Lt,"A",{href:!0});var Wc=n(Wt);ri=i(Wc,"Wav2Vec2ConformerForSequenceClassification"),Wc.forEach(t),ai=i(Lt," forward method, overrides the "),_r=a(Lt,"CODE",{});var jc=n(_r);ni=i(jc,"__call__"),jc.forEach(t),si=i(Lt," special method."),Lt.forEach(t),ii=p(Ke),C(Pe.$$.fragment,Ke),li=p(Ke),C(Me.$$.fragment,Ke),Ke.forEach(t),X.forEach(t),aa=p(o),pe=a(o,"H2",{class:!0});var Fa=n(pe);ze=a(Fa,"A",{id:!0,class:!0,href:!0});var Fc=n(ze);vr=a(Fc,"SPAN",{});var xc=n(vr);C(Oo.$$.fragment,xc),xc.forEach(t),Fc.forEach(t),ci=p(Fa),br=a(Fa,"SPAN",{});var qc=n(br);di=i(qc,"Wav2Vec2ConformerForAudioFrameClassification"),qc.forEach(t),Fa.forEach(t),na=p(o),F=a(o,"DIV",{class:!0});var H=n(F);C(Do.$$.fragment,H),mi=p(H),wr=a(H,"P",{});var Ec=n(wr);pi=i(Ec,"Wav2Vec2Conformer Model with a frame classification head on top for tasks like Speaker Diarization."),Ec.forEach(t),fi=p(H),Lo=a(H,"P",{});var xa=n(Lo);hi=i(xa,"Wav2Vec2Conformer was proposed in "),No=a(xa,"A",{href:!0,rel:!0});var Ac=n(No);ui=i(Ac,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Ac.forEach(t),gi=i(xa,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),xa.forEach(t),_i=p(H),Io=a(H,"P",{});var qa=n(Io);vi=i(qa,"This model inherits from "),jt=a(qa,"A",{href:!0});var Pc=n(jt);bi=i(Pc,"PreTrainedModel"),Pc.forEach(t),wi=i(qa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),qa.forEach(t),Ci=p(H),Xo=a(H,"P",{});var Ea=n(Xo);yi=i(Ea,"This model is a PyTorch "),Ho=a(Ea,"A",{href:!0,rel:!0});var Mc=n(Ho);ki=i(Mc,"nn.Module"),Mc.forEach(t),$i=i(Ea,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Ea.forEach(t),Ti=p(H),L=a(H,"DIV",{class:!0});var Ge=n(L);C(Bo.$$.fragment,Ge),Vi=p(Ge),fe=a(Ge,"P",{});var Nt=n(fe);Wi=i(Nt,"The "),Ft=a(Nt,"A",{href:!0});var zc=n(Ft);ji=i(zc,"Wav2Vec2ConformerForAudioFrameClassification"),zc.forEach(t),Fi=i(Nt," forward method, overrides the "),Cr=a(Nt,"CODE",{});var Sc=n(Cr);xi=i(Sc,"__call__"),Sc.forEach(t),qi=i(Nt," special method."),Nt.forEach(t),Ei=p(Ge),C(Se.$$.fragment,Ge),Ai=p(Ge),C(Oe.$$.fragment,Ge),Ge.forEach(t),H.forEach(t),sa=p(o),he=a(o,"H2",{class:!0});var Aa=n(he);De=a(Aa,"A",{id:!0,class:!0,href:!0});var Oc=n(De);yr=a(Oc,"SPAN",{});var Dc=n(yr);C(Ro.$$.fragment,Dc),Dc.forEach(t),Oc.forEach(t),Pi=p(Aa),kr=a(Aa,"SPAN",{});var Lc=n(kr);Mi=i(Lc,"Wav2Vec2ConformerForXVector"),Lc.forEach(t),Aa.forEach(t),ia=p(o),x=a(o,"DIV",{class:!0});var B=n(x);C(Uo.$$.fragment,B),zi=p(B),$r=a(B,"P",{});var Nc=n($r);Si=i(Nc,"Wav2Vec2Conformer Model with an XVector feature extraction head on top for tasks like Speaker Verification."),Nc.forEach(t),Oi=p(B),Zo=a(B,"P",{});var Pa=n(Zo);Di=i(Pa,"Wav2Vec2Conformer was proposed in "),Qo=a(Pa,"A",{href:!0,rel:!0});var Ic=n(Qo);Li=i(Ic,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Ic.forEach(t),Ni=i(Pa,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Pa.forEach(t),Ii=p(B),Ko=a(B,"P",{});var Ma=n(Ko);Xi=i(Ma,"This model inherits from "),xt=a(Ma,"A",{href:!0});var Xc=n(xt);Hi=i(Xc,"PreTrainedModel"),Xc.forEach(t),Bi=i(Ma,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ma.forEach(t),Ri=p(B),Go=a(B,"P",{});var za=n(Go);Ui=i(za,"This model is a PyTorch "),Jo=a(za,"A",{href:!0,rel:!0});var Hc=n(Jo);Zi=i(Hc,"nn.Module"),Hc.forEach(t),Qi=i(za,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),za.forEach(t),Ki=p(B),N=a(B,"DIV",{class:!0});var Je=n(N);C(Yo.$$.fragment,Je),Gi=p(Je),ue=a(Je,"P",{});var It=n(ue);Ji=i(It,"The "),qt=a(It,"A",{href:!0});var Bc=n(qt);Yi=i(Bc,"Wav2Vec2ConformerForXVector"),Bc.forEach(t),el=i(It," forward method, overrides the "),Tr=a(It,"CODE",{});var Rc=n(Tr);ol=i(Rc,"__call__"),Rc.forEach(t),tl=i(It," special method."),It.forEach(t),rl=p(Je),C(Le.$$.fragment,Je),al=p(Je),C(Ne.$$.fragment,Je),Je.forEach(t),B.forEach(t),la=p(o),ge=a(o,"H2",{class:!0});var Sa=n(ge);Ie=a(Sa,"A",{id:!0,class:!0,href:!0});var Uc=n(Ie);Vr=a(Uc,"SPAN",{});var Zc=n(Vr);C(et.$$.fragment,Zc),Zc.forEach(t),Uc.forEach(t),nl=p(Sa),Wr=a(Sa,"SPAN",{});var Qc=n(Wr);sl=i(Qc,"Wav2Vec2ConformerForPreTraining"),Qc.forEach(t),Sa.forEach(t),ca=p(o),A=a(o,"DIV",{class:!0});var G=n(A);C(ot.$$.fragment,G),il=p(G),_e=a(G,"P",{});var Xt=n(_e);ll=i(Xt,"Wav2Vec2Conformer Model with a quantizer and "),jr=a(Xt,"CODE",{});var Kc=n(jr);cl=i(Kc,"VQ"),Kc.forEach(t),dl=i(Xt,` head on top.
Wav2Vec2Conformer was proposed in `),tt=a(Xt,"A",{href:!0,rel:!0});var Gc=n(tt);ml=i(Gc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Gc.forEach(t),pl=i(Xt,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Xt.forEach(t),fl=p(G),rt=a(G,"P",{});var Oa=n(rt);hl=i(Oa,"This model inherits from "),Et=a(Oa,"A",{href:!0});var Jc=n(Et);ul=i(Jc,"PreTrainedModel"),Jc.forEach(t),gl=i(Oa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Oa.forEach(t),_l=p(G),at=a(G,"P",{});var Da=n(at);vl=i(Da,"This model is a PyTorch "),nt=a(Da,"A",{href:!0,rel:!0});var Yc=n(nt);bl=i(Yc,"nn.Module"),Yc.forEach(t),wl=i(Da,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Da.forEach(t),Cl=p(G),I=a(G,"DIV",{class:!0});var Ye=n(I);C(st.$$.fragment,Ye),yl=p(Ye),ve=a(Ye,"P",{});var Ht=n(ve);kl=i(Ht,"The "),At=a(Ht,"A",{href:!0});var ed=n(At);$l=i(ed,"Wav2Vec2ConformerForPreTraining"),ed.forEach(t),Tl=i(Ht," forward method, overrides the "),Fr=a(Ht,"CODE",{});var od=n(Fr);Vl=i(od,"__call__"),od.forEach(t),Wl=i(Ht," special method."),Ht.forEach(t),jl=p(Ye),C(Xe.$$.fragment,Ye),Fl=p(Ye),C(He.$$.fragment,Ye),Ye.forEach(t),G.forEach(t),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Cd)),c(h,"id","wav2vec2conformer"),c(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(h,"href","#wav2vec2conformer"),c(g,"class","relative group"),c(be,"id","overview"),c(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(be,"href","#overview"),c(J,"class","relative group"),c(oo,"href","https://arxiv.org/abs/2010.05171"),c(oo,"rel","nofollow"),c(to,"href","https://github.com/pytorch/fairseq/blob/main/examples/wav2vec/README.md#pre-trained-models"),c(to,"rel","nofollow"),c(ro,"href","https://arxiv.org/abs/2005.08100"),c(ro,"rel","nofollow"),c(no,"href","https://huggingface.co/patrickvonplaten"),c(no,"rel","nofollow"),c(so,"href","https://github.com/pytorch/fairseq/tree/main/examples/wav2vec"),c(so,"rel","nofollow"),c(ye,"id","documentation-resources"),c(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ye,"href","#documentation-resources"),c(Y,"class","relative group"),c(gt,"href","../tasks/audio_classification"),c(_t,"href","../tasks/asr"),c($e,"id","transformers.Wav2Vec2ConformerConfig"),c($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c($e,"href","#transformers.Wav2Vec2ConformerConfig"),c(ee,"class","relative group"),c(vt,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel"),c(mo,"href","https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large"),c(mo,"rel","nofollow"),c(bt,"href","/docs/transformers/pr_21499/en/main_classes/configuration#transformers.PretrainedConfig"),c(wt,"href","/docs/transformers/pr_21499/en/main_classes/configuration#transformers.PretrainedConfig"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ve,"id","transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"),c(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ve,"href","#transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"),c(re,"class","relative group"),c(Ct,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForPreTraining"),c(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(We,"id","transformers.Wav2Vec2ConformerModel"),c(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(We,"href","#transformers.Wav2Vec2ConformerModel"),c(ne,"class","relative group"),c(vo,"href","https://arxiv.org/abs/2006.11477"),c(vo,"rel","nofollow"),c(yt,"href","/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel"),c(Co,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),c(Co,"rel","nofollow"),c(kt,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xe,"id","transformers.Wav2Vec2ConformerForCTC"),c(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xe,"href","#transformers.Wav2Vec2ConformerForCTC"),c(ie,"class","relative group"),c(To,"href","https://arxiv.org/abs/2006.11477"),c(To,"rel","nofollow"),c($t,"href","/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel"),c(jo,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),c(jo,"rel","nofollow"),c(Tt,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC"),c(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ae,"id","transformers.Wav2Vec2ConformerForSequenceClassification"),c(Ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ae,"href","#transformers.Wav2Vec2ConformerForSequenceClassification"),c(de,"class","relative group"),c(Ao,"href","https://arxiv.org/abs/2006.11477"),c(Ao,"rel","nofollow"),c(Vt,"href","/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel"),c(zo,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),c(zo,"rel","nofollow"),c(Wt,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForSequenceClassification"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ze,"id","transformers.Wav2Vec2ConformerForAudioFrameClassification"),c(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ze,"href","#transformers.Wav2Vec2ConformerForAudioFrameClassification"),c(pe,"class","relative group"),c(No,"href","https://arxiv.org/abs/2006.11477"),c(No,"rel","nofollow"),c(jt,"href","/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel"),c(Ho,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),c(Ho,"rel","nofollow"),c(Ft,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForAudioFrameClassification"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(De,"id","transformers.Wav2Vec2ConformerForXVector"),c(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(De,"href","#transformers.Wav2Vec2ConformerForXVector"),c(he,"class","relative group"),c(Qo,"href","https://arxiv.org/abs/2006.11477"),c(Qo,"rel","nofollow"),c(xt,"href","/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel"),c(Jo,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),c(Jo,"rel","nofollow"),c(qt,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForXVector"),c(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ie,"id","transformers.Wav2Vec2ConformerForPreTraining"),c(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ie,"href","#transformers.Wav2Vec2ConformerForPreTraining"),c(ge,"class","relative group"),c(tt,"href","https://arxiv.org/abs/2006.11477"),c(tt,"rel","nofollow"),c(Et,"href","/docs/transformers/pr_21499/en/main_classes/model#transformers.PreTrainedModel"),c(nt,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),c(nt,"rel","nofollow"),c(At,"href","/docs/transformers/pr_21499/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForPreTraining"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,u){e(document.head,d),_(o,b,u),_(o,g,u),e(g,h),e(h,v),y(l,v,null),e(g,f),e(g,W),e(W,La),_(o,Dr,u),_(o,J,u),e(J,be),e(be,Rt),y(eo,Rt,null),e(J,Na),e(J,Ut),e(Ut,Ia),_(o,Lr,u),_(o,we,u),e(we,Xa),e(we,oo),e(oo,Ha),e(we,Ba),_(o,Nr,u),_(o,ht,u),e(ht,Ra),_(o,Ir,u),_(o,Ce,u),e(Ce,Ua),e(Ce,to),e(to,Za),e(Ce,Qa),_(o,Xr,u),_(o,ut,u),e(ut,Ka),_(o,Hr,u),_(o,z,u),e(z,R),e(R,Ga),e(R,Zt),e(Zt,Ja),e(R,Ya),e(R,Qt),e(Qt,en),e(R,on),e(R,ro),e(ro,tn),e(R,rn),e(z,an),e(z,Kt),e(Kt,nn),e(z,sn),e(z,Gt),e(Gt,ln),e(z,cn),e(z,ao),e(ao,dn),e(ao,Jt),e(Jt,mn),e(ao,pn),_(o,Br,u),_(o,Z,u),e(Z,fn),e(Z,no),e(no,hn),e(Z,un),e(Z,so),e(so,gn),e(Z,_n),_(o,Rr,u),_(o,Y,u),e(Y,ye),e(ye,Yt),y(io,Yt,null),e(Y,vn),e(Y,er),e(er,bn),_(o,Ur,u),_(o,ke,u),e(ke,or),e(or,gt),e(gt,wn),e(ke,Cn),e(ke,tr),e(tr,_t),e(_t,yn),_(o,Zr,u),_(o,ee,u),e(ee,$e),e($e,rr),y(lo,rr,null),e(ee,kn),e(ee,ar),e(ar,$n),_(o,Qr,u),_(o,M,u),y(co,M,null),e(M,Tn),e(M,oe),e(oe,Vn),e(oe,vt),e(vt,Wn),e(oe,jn),e(oe,mo),e(mo,Fn),e(oe,xn),e(M,qn),e(M,te),e(te,En),e(te,bt),e(bt,An),e(te,Pn),e(te,wt),e(wt,Mn),e(te,zn),e(M,Sn),y(Te,M,null),_(o,Kr,u),_(o,re,u),e(re,Ve),e(Ve,nr),y(po,nr,null),e(re,On),e(re,sr),e(sr,Dn),_(o,Gr,u),_(o,ae,u),y(fo,ae,null),e(ae,Ln),e(ae,ho),e(ho,Nn),e(ho,Ct),e(Ct,In),e(ho,Xn),_(o,Jr,u),_(o,ne,u),e(ne,We),e(We,ir),y(uo,ir,null),e(ne,Hn),e(ne,lr),e(lr,Bn),_(o,Yr,u),_(o,q,u),y(go,q,null),e(q,Rn),e(q,_o),e(_o,Un),e(_o,vo),e(vo,Zn),e(_o,Qn),e(q,Kn),e(q,bo),e(bo,Gn),e(bo,yt),e(yt,Jn),e(bo,Yn),e(q,es),e(q,wo),e(wo,os),e(wo,Co),e(Co,ts),e(wo,rs),e(q,as),e(q,S),y(yo,S,null),e(S,ns),e(S,se),e(se,ss),e(se,kt),e(kt,is),e(se,ls),e(se,cr),e(cr,cs),e(se,ds),e(S,ms),y(je,S,null),e(S,ps),y(Fe,S,null),_(o,ea,u),_(o,ie,u),e(ie,xe),e(xe,dr),y(ko,dr,null),e(ie,fs),e(ie,mr),e(mr,hs),_(o,oa,u),_(o,E,u),y($o,E,null),e(E,us),e(E,le),e(le,gs),e(le,pr),e(pr,_s),e(le,vs),e(le,To),e(To,bs),e(le,ws),e(E,Cs),e(E,Vo),e(Vo,ys),e(Vo,$t),e($t,ks),e(Vo,$s),e(E,Ts),e(E,Wo),e(Wo,Vs),e(Wo,jo),e(jo,Ws),e(Wo,js),e(E,Fs),e(E,O),y(Fo,O,null),e(O,xs),e(O,ce),e(ce,qs),e(ce,Tt),e(Tt,Es),e(ce,As),e(ce,fr),e(fr,Ps),e(ce,Ms),e(O,zs),y(qe,O,null),e(O,Ss),y(Ee,O,null),_(o,ta,u),_(o,de,u),e(de,Ae),e(Ae,hr),y(xo,hr,null),e(de,Os),e(de,ur),e(ur,Ds),_(o,ra,u),_(o,j,u),y(qo,j,null),e(j,Ls),e(j,gr),e(gr,Ns),e(j,Is),e(j,Eo),e(Eo,Xs),e(Eo,Ao),e(Ao,Hs),e(Eo,Bs),e(j,Rs),e(j,Po),e(Po,Us),e(Po,Vt),e(Vt,Zs),e(Po,Qs),e(j,Ks),e(j,Mo),e(Mo,Gs),e(Mo,zo),e(zo,Js),e(Mo,Ys),e(j,ei),e(j,D),y(So,D,null),e(D,oi),e(D,me),e(me,ti),e(me,Wt),e(Wt,ri),e(me,ai),e(me,_r),e(_r,ni),e(me,si),e(D,ii),y(Pe,D,null),e(D,li),y(Me,D,null),_(o,aa,u),_(o,pe,u),e(pe,ze),e(ze,vr),y(Oo,vr,null),e(pe,ci),e(pe,br),e(br,di),_(o,na,u),_(o,F,u),y(Do,F,null),e(F,mi),e(F,wr),e(wr,pi),e(F,fi),e(F,Lo),e(Lo,hi),e(Lo,No),e(No,ui),e(Lo,gi),e(F,_i),e(F,Io),e(Io,vi),e(Io,jt),e(jt,bi),e(Io,wi),e(F,Ci),e(F,Xo),e(Xo,yi),e(Xo,Ho),e(Ho,ki),e(Xo,$i),e(F,Ti),e(F,L),y(Bo,L,null),e(L,Vi),e(L,fe),e(fe,Wi),e(fe,Ft),e(Ft,ji),e(fe,Fi),e(fe,Cr),e(Cr,xi),e(fe,qi),e(L,Ei),y(Se,L,null),e(L,Ai),y(Oe,L,null),_(o,sa,u),_(o,he,u),e(he,De),e(De,yr),y(Ro,yr,null),e(he,Pi),e(he,kr),e(kr,Mi),_(o,ia,u),_(o,x,u),y(Uo,x,null),e(x,zi),e(x,$r),e($r,Si),e(x,Oi),e(x,Zo),e(Zo,Di),e(Zo,Qo),e(Qo,Li),e(Zo,Ni),e(x,Ii),e(x,Ko),e(Ko,Xi),e(Ko,xt),e(xt,Hi),e(Ko,Bi),e(x,Ri),e(x,Go),e(Go,Ui),e(Go,Jo),e(Jo,Zi),e(Go,Qi),e(x,Ki),e(x,N),y(Yo,N,null),e(N,Gi),e(N,ue),e(ue,Ji),e(ue,qt),e(qt,Yi),e(ue,el),e(ue,Tr),e(Tr,ol),e(ue,tl),e(N,rl),y(Le,N,null),e(N,al),y(Ne,N,null),_(o,la,u),_(o,ge,u),e(ge,Ie),e(Ie,Vr),y(et,Vr,null),e(ge,nl),e(ge,Wr),e(Wr,sl),_(o,ca,u),_(o,A,u),y(ot,A,null),e(A,il),e(A,_e),e(_e,ll),e(_e,jr),e(jr,cl),e(_e,dl),e(_e,tt),e(tt,ml),e(_e,pl),e(A,fl),e(A,rt),e(rt,hl),e(rt,Et),e(Et,ul),e(rt,gl),e(A,_l),e(A,at),e(at,vl),e(at,nt),e(nt,bl),e(at,wl),e(A,Cl),e(A,I),y(st,I,null),e(I,yl),e(I,ve),e(ve,kl),e(ve,At),e(At,$l),e(ve,Tl),e(ve,Fr),e(Fr,Vl),e(ve,Wl),e(I,jl),y(Xe,I,null),e(I,Fl),y(He,I,null),da=!0},p(o,[u]){const it={};u&2&&(it.$$scope={dirty:u,ctx:o}),Te.$set(it);const xr={};u&2&&(xr.$$scope={dirty:u,ctx:o}),je.$set(xr);const qr={};u&2&&(qr.$$scope={dirty:u,ctx:o}),Fe.$set(qr);const Er={};u&2&&(Er.$$scope={dirty:u,ctx:o}),qe.$set(Er);const lt={};u&2&&(lt.$$scope={dirty:u,ctx:o}),Ee.$set(lt);const Ar={};u&2&&(Ar.$$scope={dirty:u,ctx:o}),Pe.$set(Ar);const Pr={};u&2&&(Pr.$$scope={dirty:u,ctx:o}),Me.$set(Pr);const Mr={};u&2&&(Mr.$$scope={dirty:u,ctx:o}),Se.$set(Mr);const ct={};u&2&&(ct.$$scope={dirty:u,ctx:o}),Oe.$set(ct);const zr={};u&2&&(zr.$$scope={dirty:u,ctx:o}),Le.$set(zr);const Sr={};u&2&&(Sr.$$scope={dirty:u,ctx:o}),Ne.$set(Sr);const dt={};u&2&&(dt.$$scope={dirty:u,ctx:o}),Xe.$set(dt);const Or={};u&2&&(Or.$$scope={dirty:u,ctx:o}),He.$set(Or)},i(o){da||(k(l.$$.fragment,o),k(eo.$$.fragment,o),k(io.$$.fragment,o),k(lo.$$.fragment,o),k(co.$$.fragment,o),k(Te.$$.fragment,o),k(po.$$.fragment,o),k(fo.$$.fragment,o),k(uo.$$.fragment,o),k(go.$$.fragment,o),k(yo.$$.fragment,o),k(je.$$.fragment,o),k(Fe.$$.fragment,o),k(ko.$$.fragment,o),k($o.$$.fragment,o),k(Fo.$$.fragment,o),k(qe.$$.fragment,o),k(Ee.$$.fragment,o),k(xo.$$.fragment,o),k(qo.$$.fragment,o),k(So.$$.fragment,o),k(Pe.$$.fragment,o),k(Me.$$.fragment,o),k(Oo.$$.fragment,o),k(Do.$$.fragment,o),k(Bo.$$.fragment,o),k(Se.$$.fragment,o),k(Oe.$$.fragment,o),k(Ro.$$.fragment,o),k(Uo.$$.fragment,o),k(Yo.$$.fragment,o),k(Le.$$.fragment,o),k(Ne.$$.fragment,o),k(et.$$.fragment,o),k(ot.$$.fragment,o),k(st.$$.fragment,o),k(Xe.$$.fragment,o),k(He.$$.fragment,o),da=!0)},o(o){$(l.$$.fragment,o),$(eo.$$.fragment,o),$(io.$$.fragment,o),$(lo.$$.fragment,o),$(co.$$.fragment,o),$(Te.$$.fragment,o),$(po.$$.fragment,o),$(fo.$$.fragment,o),$(uo.$$.fragment,o),$(go.$$.fragment,o),$(yo.$$.fragment,o),$(je.$$.fragment,o),$(Fe.$$.fragment,o),$(ko.$$.fragment,o),$($o.$$.fragment,o),$(Fo.$$.fragment,o),$(qe.$$.fragment,o),$(Ee.$$.fragment,o),$(xo.$$.fragment,o),$(qo.$$.fragment,o),$(So.$$.fragment,o),$(Pe.$$.fragment,o),$(Me.$$.fragment,o),$(Oo.$$.fragment,o),$(Do.$$.fragment,o),$(Bo.$$.fragment,o),$(Se.$$.fragment,o),$(Oe.$$.fragment,o),$(Ro.$$.fragment,o),$(Uo.$$.fragment,o),$(Yo.$$.fragment,o),$(Le.$$.fragment,o),$(Ne.$$.fragment,o),$(et.$$.fragment,o),$(ot.$$.fragment,o),$(st.$$.fragment,o),$(Xe.$$.fragment,o),$(He.$$.fragment,o),da=!1},d(o){t(d),o&&t(b),o&&t(g),T(l),o&&t(Dr),o&&t(J),T(eo),o&&t(Lr),o&&t(we),o&&t(Nr),o&&t(ht),o&&t(Ir),o&&t(Ce),o&&t(Xr),o&&t(ut),o&&t(Hr),o&&t(z),o&&t(Br),o&&t(Z),o&&t(Rr),o&&t(Y),T(io),o&&t(Ur),o&&t(ke),o&&t(Zr),o&&t(ee),T(lo),o&&t(Qr),o&&t(M),T(co),T(Te),o&&t(Kr),o&&t(re),T(po),o&&t(Gr),o&&t(ae),T(fo),o&&t(Jr),o&&t(ne),T(uo),o&&t(Yr),o&&t(q),T(go),T(yo),T(je),T(Fe),o&&t(ea),o&&t(ie),T(ko),o&&t(oa),o&&t(E),T($o),T(Fo),T(qe),T(Ee),o&&t(ta),o&&t(de),T(xo),o&&t(ra),o&&t(j),T(qo),T(So),T(Pe),T(Me),o&&t(aa),o&&t(pe),T(Oo),o&&t(na),o&&t(F),T(Do),T(Bo),T(Se),T(Oe),o&&t(sa),o&&t(he),T(Ro),o&&t(ia),o&&t(x),T(Uo),T(Yo),T(Le),T(Ne),o&&t(la),o&&t(ge),T(et),o&&t(ca),o&&t(A),T(ot),T(st),T(Xe),T(He)}}}const Cd={local:"wav2vec2conformer",sections:[{local:"overview",title:"Overview"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.Wav2Vec2ConformerConfig",title:"Wav2Vec2ConformerConfig"},{local:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput",title:"Wav2Vec2Conformer specific outputs"},{local:"transformers.Wav2Vec2ConformerModel",title:"Wav2Vec2ConformerModel"},{local:"transformers.Wav2Vec2ConformerForCTC",title:"Wav2Vec2ConformerForCTC"},{local:"transformers.Wav2Vec2ConformerForSequenceClassification",title:"Wav2Vec2ConformerForSequenceClassification"},{local:"transformers.Wav2Vec2ConformerForAudioFrameClassification",title:"Wav2Vec2ConformerForAudioFrameClassification"},{local:"transformers.Wav2Vec2ConformerForXVector",title:"Wav2Vec2ConformerForXVector"},{local:"transformers.Wav2Vec2ConformerForPreTraining",title:"Wav2Vec2ConformerForPreTraining"}],title:"Wav2Vec2-Conformer"};function yd(V){return sd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fd extends td{constructor(d){super();rd(this,d,yd,wd,ad,{})}}export{Fd as default,Cd as metadata};
